GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ01_zpagemon.sav'.

MATCH FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ02_zpsex.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ12.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ15_16.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ14_17.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ18.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ19.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ20.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ21_22_pfabsent.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ23_24.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\TQ01_idtsex_z.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\SQ04.sav'
 /BY COUNTRY stratum idpupil.
EXECUTE.

SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\derived.SAV'
   /COMPRESSED.

GET
 FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_BOT_rev.sav'.

ADD FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_KEN_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_LES_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_MAL_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_MAU_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_MOZ_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_NAM_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_SEY_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_SOU_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_SWA_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_TAN_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_UGA_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_ZAM_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_ZAN_rev.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\SACMEQIII Pupil SES\S3_SES_scores_ZIM_rev.sav'
.
EXECUTE.

sort cases by country (a)  idpupil (a).

SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\pup_SES.SAV'
  /DROP SCHOOL PUPIL
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

sort cases by country (a) stratum (a) idpupil (a).

MATCH FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\derived.SAV'
 /RENAME (IDPSEX IDwSEX IDXSEX IDYSEX PABSENT PABWHY1 PABWHY2 PABWHY3 PABWHY4
  PABWHY5 PABWHY6 PBDAY PBMONTH PBOOKSHM PBYEAR PFABSENT PFATHER PFBIRTH
  PFLOOR PFSEX PLIGHT PMOTHER PPOS01 PPOS02 PPOS03 PPOS04 PPOS05 PPOS06 PPOS07
  PPOS08 PPOS09 PPOS10 PPOS11 PPOS12 PPOS13 PPOS14 PPOS15 PPOS16 PPOS17 PPOS18
  PPOS19 PPOS20 PPOS21 PPOS22 PPOS23 PPOS24 PPOS25 PPOS26 PPOS27 PPOS28 PPOS29
  PPOS30 PPOS31 PREPEAT PREPEAT6 PROOF PRPTWHY1 PRPTWHY2 PRPTWHY3 PRPTWHY4
  PSEX PWALL SSEX WSEX XSEX YSEX = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12
  d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31
  d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50
  d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65)
 /BY COUNTRY stratum idpupil
.
EXECUTE.

***** checking how many values have been imputed *****.
if	IDPSEX	=	d0	d0imp	=	0	.
if	IDwSEX	=	d1	d1imp	=	0	.
if	IDXSEX	=	d2	d2imp	=	0	.
if	IDYSEX	=	d3	d3imp	=	0	.
if	PABSENT	=	d4	d4imp	=	0	.
if	PABWHY1	=	d5	d5imp	=	0	.
if	PABWHY2	=	d6	d6imp	=	0	.
if	PABWHY3	=	d7	d7imp	=	0	.
if	PABWHY4	=	d8	d8imp	=	0	.
if	PABWHY5	=	d9	d9imp	=	0	.
if	PABWHY6	=	d10	d10imp	=	0	.
if	PBDAY	=	d11	d11imp	=	0	.
if	PBMONTH	=	d12	d12imp	=	0	.
if	PBOOKSHM	=	d13	d13imp	=	0	.
if	PBYEAR	=	d14	d14imp	=	0	.
if	PFABSENT	=	d15	d15imp	=	0	.
if	PFATHER	=	d16	d16imp	=	0	.
if	PFBIRTH	=	d17	d17imp	=	0	.
if	PFLOOR	=	d18	d18imp	=	0	.
if	PFSEX	=	d19	d19imp	=	0	.
if	PLIGHT	=	d20	d20imp	=	0	.
if	PMOTHER	=	d21	d21imp	=	0	.
if	PPOS01	=	d22	d22imp	=	0	.
if	PPOS02	=	d23	d23imp	=	0	.
if	PPOS03	=	d24	d24imp	=	0	.
if	PPOS04	=	d25	d25imp	=	0	.
if	PPOS05	=	d26	d26imp	=	0	.
if	PPOS06	=	d27	d27imp	=	0	.
if	PPOS07	=	d28	d28imp	=	0	.
if	PPOS08	=	d29	d29imp	=	0	.
if	PPOS09	=	d30	d30imp	=	0	.
if	PPOS10	=	d31	d31imp	=	0	.
if	PPOS11	=	d32	d32imp	=	0	.
if	PPOS12	=	d33	d33imp	=	0	.
if	PPOS13	=	d34	d34imp	=	0	.
if	PPOS14	=	d35	d35imp	=	0	.
if	PPOS15	=	d36	d36imp	=	0	.
if	PPOS16	=	d37	d37imp	=	0	.
if	PPOS17	=	d38	d38imp	=	0	.
if	PPOS18	=	d39	d39imp	=	0	.
if	PPOS19	=	d40	d40imp	=	0	.
if	PPOS20	=	d41	d41imp	=	0	.
if	PPOS21	=	d42	d42imp	=	0	.
if	PPOS22	=	d43	d43imp	=	0	.
if	PPOS23	=	d44	d44imp	=	0	.
if	PPOS24	=	d45	d45imp	=	0	.
if	PPOS25	=	d46	d46imp	=	0	.
if	PPOS26	=	d47	d47imp	=	0	.
if	PPOS27	=	d48	d48imp	=	0	.
if	PPOS28	=	d49	d49imp	=	0	.
if	PPOS29	=	d50	d50imp	=	0	.
if	PPOS30	=	d51	d51imp	=	0	.
if	PPOS31	=	d52	d52imp	=	0	.
if	PREPEAT	=	d53	d53imp	=	0	.
if	PREPEAT6	=	d54	d54imp	=	0	.
if	PROOF	=	d55	d55imp	=	0	.
if	PRPTWHY1	=	d56	d56imp	=	0	.
if	PRPTWHY2	=	d57	d57imp	=	0	.
if	PRPTWHY3	=	d58	d58imp	=	0	.
if	PRPTWHY4	=	d59	d59imp	=	0	.
if	PSEX	=	d60	d60imp	=	0	.
if	PWALL	=	d61	d61imp	=	0	.
if	SSEX	=	d62	d62imp	=	0	.
if	WSEX	=	d63	d63imp	=	0	.
if	XSEX	=	d64	d64imp	=	0	.
if	YSEX	=	d65	d65imp	=	0	.
execute.

if	missing(	IDPSEX	) or	IDPSEX	~=	d0	d0imp	=	1	.
if	missing(	IDwSEX	) or	IDwSEX	~=	d1	d1imp	=	1	.
if	missing(	IDXSEX	) or	IDXSEX	~=	d2	d2imp	=	1	.
if	missing(	IDYSEX	) or	IDYSEX	~=	d3	d3imp	=	1	.
if	missing(	PABSENT	) or	PABSENT	~=	d4	d4imp	=	1	.
if	missing(	PABWHY1	) or	PABWHY1	~=	d5	d5imp	=	1	.
if	missing(	PABWHY2	) or	PABWHY2	~=	d6	d6imp	=	1	.
if	missing(	PABWHY3	) or	PABWHY3	~=	d7	d7imp	=	1	.
if	missing(	PABWHY4	) or	PABWHY4	~=	d8	d8imp	=	1	.
if	missing(	PABWHY5	) or	PABWHY5	~=	d9	d9imp	=	1	.
if	missing(	PABWHY6	) or	PABWHY6	~=	d10	d10imp	=	1	.
if	missing(	PBDAY	) or	PBDAY	~=	d11	d11imp	=	1	.
if	missing(	PBMONTH	) or	PBMONTH	~=	d12	d12imp	=	1	.
if	missing(	PBOOKSHM	) or	PBOOKSHM	~=	d13	d13imp	=	1	.
if	missing(	PBYEAR	) or	PBYEAR	~=	d14	d14imp	=	1	.
if	missing(	PFABSENT	) or	PFABSENT	~=	d15	d15imp	=	1	.
if	missing(	PFATHER	) or	PFATHER	~=	d16	d16imp	=	1	.
if	missing(	PFBIRTH	) or	PFBIRTH	~=	d17	d17imp	=	1	.
if	missing(	PFLOOR	) or	PFLOOR	~=	d18	d18imp	=	1	.
if	missing(	PFSEX	) or	PFSEX	~=	d19	d19imp	=	1	.
if	missing(	PLIGHT	) or	PLIGHT	~=	d20	d20imp	=	1	.
if	missing(	PMOTHER	) or	PMOTHER	~=	d21	d21imp	=	1	.
if	missing(	PPOS01	) or	PPOS01	~=	d22	d22imp	=	1	.
if	missing(	PPOS02	) or	PPOS02	~=	d23	d23imp	=	1	.
if	missing(	PPOS03	) or	PPOS03	~=	d24	d24imp	=	1	.
if	missing(	PPOS04	) or	PPOS04	~=	d25	d25imp	=	1	.
if	missing(	PPOS05	) or	PPOS05	~=	d26	d26imp	=	1	.
if	missing(	PPOS06	) or	PPOS06	~=	d27	d27imp	=	1	.
if	missing(	PPOS07	) or	PPOS07	~=	d28	d28imp	=	1	.
if	missing(	PPOS08	) or	PPOS08	~=	d29	d29imp	=	1	.
if	missing(	PPOS09	) or	PPOS09	~=	d30	d30imp	=	1	.
if	missing(	PPOS10	) or	PPOS10	~=	d31	d31imp	=	1	.
if	missing(	PPOS11	) or	PPOS11	~=	d32	d32imp	=	1	.
if	missing(	PPOS12	) or	PPOS12	~=	d33	d33imp	=	1	.
if	missing(	PPOS13	) or	PPOS13	~=	d34	d34imp	=	1	.
if	missing(	PPOS14	) or	PPOS14	~=	d35	d35imp	=	1	.
if	missing(	PPOS15	) or	PPOS15	~=	d36	d36imp	=	1	.
if	missing(	PPOS16	) or	PPOS16	~=	d37	d37imp	=	1	.
if	missing(	PPOS17	) or	PPOS17	~=	d38	d38imp	=	1	.
if	missing(	PPOS18	) or	PPOS18	~=	d39	d39imp	=	1	.
if	missing(	PPOS19	) or	PPOS19	~=	d40	d40imp	=	1	.
if	missing(	PPOS20	) or	PPOS20	~=	d41	d41imp	=	1	.
if	missing(	PPOS21	) or	PPOS21	~=	d42	d42imp	=	1	.
if	missing(	PPOS22	) or	PPOS22	~=	d43	d43imp	=	1	.
if	missing(	PPOS23	) or	PPOS23	~=	d44	d44imp	=	1	.
if	missing(	PPOS24	) or	PPOS24	~=	d45	d45imp	=	1	.
if	missing(	PPOS25	) or	PPOS25	~=	d46	d46imp	=	1	.
if	missing(	PPOS26	) or	PPOS26	~=	d47	d47imp	=	1	.
if	missing(	PPOS27	) or	PPOS27	~=	d48	d48imp	=	1	.
if	missing(	PPOS28	) or	PPOS28	~=	d49	d49imp	=	1	.
if	missing(	PPOS29	) or	PPOS29	~=	d50	d50imp	=	1	.
if	missing(	PPOS30	) or	PPOS30	~=	d51	d51imp	=	1	.
if	missing(	PPOS31	) or	PPOS31	~=	d52	d52imp	=	1	.
if	missing(	PREPEAT	) or	PREPEAT	~=	d53	d53imp	=	1	.
if	missing(	PREPEAT6	) or	PREPEAT6	~=	d54	d54imp	=	1	.
if	missing(	PROOF	) or	PROOF	~=	d55	d55imp	=	1	.
if	missing(	PRPTWHY1	) or	PRPTWHY1	~=	d56	d56imp	=	1	.
if	missing(	PRPTWHY2	) or	PRPTWHY2	~=	d57	d57imp	=	1	.
if	missing(	PRPTWHY3	) or	PRPTWHY3	~=	d58	d58imp	=	1	.
if	missing(	PRPTWHY4	) or	PRPTWHY4	~=	d59	d59imp	=	1	.
if	missing(	PSEX	) or	PSEX	~=	d60	d60imp	=	1	.
if	missing(	PWALL	) or	PWALL	~=	d61	d61imp	=	1	.
if	missing(	SSEX	) or	SSEX	~=	d62	d62imp	=	1	.
if	missing(	WSEX	) or	WSEX	~=	d63	d63imp	=	1	.
if	missing(	XSEX	) or	XSEX	~=	d64	d64imp	=	1	.
if	missing(	YSEX	) or	YSEX	~=	d65	d65imp	=	1	.
execute.

variable label	d0imp	'	IDPSEX	imputation'.
variable label	d1imp	'	IDwSEX	imputation'.
variable label	d2imp	'	IDXSEX	imputation'.
variable label	d3imp	'	IDYSEX	imputation'.
variable label	d4imp	'	PABSENT	imputation'.
variable label	d5imp	'	PABWHY1	imputation'.
variable label	d6imp	'	PABWHY2	imputation'.
variable label	d7imp	'	PABWHY3	imputation'.
variable label	d8imp	'	PABWHY4	imputation'.
variable label	d9imp	'	PABWHY5	imputation'.
variable label	d10imp	'	PABWHY6	imputation'.
variable label	d11imp	'	PBDAY	imputation'.
variable label	d12imp	'	PBMONTH	imputation'.
variable label	d13imp	'	PBOOKSHM	imputation'.
variable label	d14imp	'	PBYEAR	imputation'.
variable label	d15imp	'	PFABSENT	imputation'.
variable label	d16imp	'	PFATHER	imputation'.
variable label	d17imp	'	PFBIRTH	imputation'.
variable label	d18imp	'	PFLOOR	imputation'.
variable label	d19imp	'	PFSEX	imputation'.
variable label	d20imp	'	PLIGHT	imputation'.
variable label	d21imp	'	PMOTHER	imputation'.
variable label	d22imp	'	PPOS01	imputation'.
variable label	d23imp	'	PPOS02	imputation'.
variable label	d24imp	'	PPOS03	imputation'.
variable label	d25imp	'	PPOS04	imputation'.
variable label	d26imp	'	PPOS05	imputation'.
variable label	d27imp	'	PPOS06	imputation'.
variable label	d28imp	'	PPOS07	imputation'.
variable label	d29imp	'	PPOS08	imputation'.
variable label	d30imp	'	PPOS09	imputation'.
variable label	d31imp	'	PPOS10	imputation'.
variable label	d32imp	'	PPOS11	imputation'.
variable label	d33imp	'	PPOS12	imputation'.
variable label	d34imp	'	PPOS13	imputation'.
variable label	d35imp	'	PPOS14	imputation'.
variable label	d36imp	'	PPOS15	imputation'.
variable label	d37imp	'	PPOS16	imputation'.
variable label	d38imp	'	PPOS17	imputation'.
variable label	d39imp	'	PPOS18	imputation'.
variable label	d40imp	'	PPOS19	imputation'.
variable label	d41imp	'	PPOS20	imputation'.
variable label	d42imp	'	PPOS21	imputation'.
variable label	d43imp	'	PPOS22	imputation'.
variable label	d44imp	'	PPOS23	imputation'.
variable label	d45imp	'	PPOS24	imputation'.
variable label	d46imp	'	PPOS25	imputation'.
variable label	d47imp	'	PPOS26	imputation'.
variable label	d48imp	'	PPOS27	imputation'.
variable label	d49imp	'	PPOS28	imputation'.
variable label	d50imp	'	PPOS29	imputation'.
variable label	d51imp	'	PPOS30	imputation'.
variable label	d52imp	'	PPOS31	imputation'.
variable label	d53imp	'	PREPEAT	imputation'.
variable label	d54imp	'	PREPEAT6	imputation'.
variable label	d55imp	'	PROOF	imputation'.
variable label	d56imp	'	PRPTWHY1	imputation'.
variable label	d57imp	'	PRPTWHY2	imputation'.
variable label	d58imp	'	PRPTWHY3	imputation'.
variable label	d59imp	'	PRPTWHY4	imputation'.
variable label	d60imp	'	PSEX	imputation'.
variable label	d61imp	'	PWALL	imputation'.
variable label	d62imp	'	SSEX	imputation'.
variable label	d63imp	'	WSEX	imputation'.
variable label	d64imp	'	XSEX	imputation'.
variable label	d65imp	'	YSEX	imputation'.

CROSSTABS
  /TABLES=country  BY d0imp to  d65imp
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

compute	IDPSEX	=	d0	.
compute	IDwSEX	=	d1	.
compute	IDXSEX	=	d2	.
compute	IDYSEX	=	d3	.
compute	PABSENT	=	d4	.
compute	PABWHY1	=	d5	.
compute	PABWHY2	=	d6	.
compute	PABWHY3	=	d7	.
compute	PABWHY4	=	d8	.
compute	PABWHY5	=	d9	.
compute	PABWHY6	=	d10	.
compute	PBDAY	=	d11	.
compute	PBMONTH	=	d12	.
compute	PBOOKSHM	=	d13	.
compute	PBYEAR	=	d14	.
compute	PFABSENT	=	d15	.
compute	PFATHER	=	d16	.
compute	PFBIRTH	=	d17	.
compute	PFLOOR	=	d18	.
compute	PFSEX	=	d19	.
compute	PLIGHT	=	d20	.
compute	PMOTHER	=	d21	.
compute	PPOS01	=	d22	.
compute	PPOS02	=	d23	.
compute	PPOS03	=	d24	.
compute	PPOS04	=	d25	.
compute	PPOS05	=	d26	.
compute	PPOS06	=	d27	.
compute	PPOS07	=	d28	.
compute	PPOS08	=	d29	.
compute	PPOS09	=	d30	.
compute	PPOS10	=	d31	.
compute	PPOS11	=	d32	.
compute	PPOS12	=	d33	.
compute	PPOS13	=	d34	.
compute	PPOS14	=	d35	.
compute	PPOS15	=	d36	.
compute	PPOS16	=	d37	.
compute	PPOS17	=	d38	.
compute	PPOS18	=	d39	.
compute	PPOS19	=	d40	.
compute	PPOS20	=	d41	.
compute	PPOS21	=	d42	.
compute	PPOS22	=	d43	.
compute	PPOS23	=	d44	.
compute	PPOS24	=	d45	.
compute	PPOS25	=	d46	.
compute	PPOS26	=	d47	.
compute	PPOS27	=	d48	.
compute	PPOS28	=	d49	.
compute	PPOS29	=	d50	.
compute	PPOS30	=	d51	.
compute	PPOS31	=	d52	.
compute	PREPEAT	=	d53	.
compute	PREPEAT6	=	d54	.
compute	PROOF	=	d55	.
compute	PRPTWHY1	=	d56	.
compute	PRPTWHY2	=	d57	.
compute	PRPTWHY3	=	d58	.
compute	PRPTWHY4	=	d59	.
compute	PSEX	=	d60	.
compute	PWALL	=	d61	.
compute	SSEX	=	d62	.
compute	WSEX	=	d63	.
compute	XSEX	=	d64	.
compute	YSEX	=	d65	.

SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\temp.SAV'
   /COMPRESSED.

sort cases by country (a)  idpupil (a).

MATCH FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\pup_SES.SAV'
 /BY COUNTRY idpupil.
EXECUTE.

compute ZPSESSCR=100*((PSESLOG+0.1907212227335)/1.280391667583)+500.

SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.SAV'
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33
 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52
  d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65
 d0imp to d65imp
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='BOT'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\BOT\imputed_BOT.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='KEN'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\KEN\imputed_KEN.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='LES'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\LES\imputed_LES.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='MAL'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\MAL\imputed_MAL.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='MAU'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\MAU\imputed_MAU.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='MOZ'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\MOZ\imputed_MOZ.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='NAM'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\NAM\imputed_NAM.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='SEY'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\SEY\imputed_SEY.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='SOU'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\imputed_SOU.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='SWA'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\SWA\imputed_SWA.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='TAN'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\TAN\imputed_TAN.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='UGA'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\UGA\imputed_UGA.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='ZAM'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\ZAM\imputed_ZAM.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='ZAN'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\ZAN\imputed_ZAN.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

select if country='ZIM'.
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\ZIM\imputed_ZIM.SAV'
   /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15_imp.sav'.

WEIGHT
  BY pweighta .

MEANS
  TABLES=ZPSESSCR  BY COUNTRY
  /CELLS MEAN COUNT STDDEV  .
