GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

***** Aggregating at class level *****.

sort cases by country (a) region (a) district (a) idschool (a)  idclass (a) .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCLS.SAV'
  /BREAK=country region district idschool idclass 
  /miscls1= NMISS(pmother) 
  /miscls2= NMISS(pfather) 
  /numcls=N (idpupil)
  /opm01cls = PIN(pmother 1 1)
  /opm02cls = PIN(pmother 2 2)
  /opm03cls = PIN(pmother 3 3)
  /opm04cls = PIN(pmother 4 4)
  /opm05cls = PIN(pmother 5 5)
  /opm06cls = PIN(pmother 6 6)
  /opm07cls = PIN(pmother 7 7)
  /opm08cls = PIN(pmother 8 8)
  /opm09cls = PIN(pmother 9 9)
  /opm10cls = PIN(pmother 10 10)
  /opm11cls = PIN(pmother 11 11)
  /opm12cls = PIN(pmother 12 12)
  /opf01cls = PIN(pfather 1 1)
  /opf02cls = PIN(pfather 2 2)
  /opf03cls = PIN(pfather 3 3)
  /opf04cls = PIN(pfather 4 4)
  /opf05cls = PIN(pfather 5 5)
  /opf06cls = PIN(pfather 6 6)
  /opf07cls = PIN(pfather 7 7)
  /opf08cls = PIN(pfather 8 8)
  /opf09cls = PIN(pfather 9 9)
  /opf10cls = PIN(pfather 10 10)
  /opf11cls = PIN(pfather 11 11)
  /opf12cls = PIN(pfather 12 12)
.

***** Aggregating at school level *****.

sort cases by country (a) region (a) district (a) idschool (a)  .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGSCH.SAV'
  /BREAK=country region district idschool 
  /missch1= NMISS(pmother) 
  /missch2= NMISS(pfather) 
  /numsch=N (idpupil)
  /opm01sch = PIN(pmother 1 1)
  /opm02sch = PIN(pmother 2 2)
  /opm03sch = PIN(pmother 3 3)
  /opm04sch = PIN(pmother 4 4)
  /opm05sch = PIN(pmother 5 5)
  /opm06sch = PIN(pmother 6 6)
  /opm07sch = PIN(pmother 7 7)
  /opm08sch = PIN(pmother 8 8)
  /opm09sch = PIN(pmother 9 9)
  /opm10sch = PIN(pmother 10 10)
  /opm11sch = PIN(pmother 11 11)
  /opm12sch = PIN(pmother 12 12)
  /opf01sch = PIN(pfather 1 1)
  /opf02sch = PIN(pfather 2 2)
  /opf03sch = PIN(pfather 3 3)
  /opf04sch = PIN(pfather 4 4)
  /opf05sch = PIN(pfather 5 5)
  /opf06sch = PIN(pfather 6 6)
  /opf07sch = PIN(pfather 7 7)
  /opf08sch = PIN(pfather 8 8)
  /opf09sch = PIN(pfather 9 9)
  /opf10sch = PIN(pfather 10 10)
  /opf11sch = PIN(pfather 11 11)
  /opf12sch = PIN(pfather 12 12)
.

***** Aggregating at district level *****.

sort cases by country (a) region (a) district (a) .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGDIS.SAV'
  /BREAK=country region district 
  /misdis1= NMISS(pmother) 
  /misdis2= NMISS(pfather) 
  /numdis=N (idpupil)
  /opm01dis = PIN(pmother 1 1)
  /opm02dis = PIN(pmother 2 2)
  /opm03dis = PIN(pmother 3 3)
  /opm04dis = PIN(pmother 4 4)
  /opm05dis = PIN(pmother 5 5)
  /opm06dis = PIN(pmother 6 6)
  /opm07dis = PIN(pmother 7 7)
  /opm08dis = PIN(pmother 8 8)
  /opm09dis = PIN(pmother 9 9)
  /opm10dis = PIN(pmother 10 10)
  /opm11dis = PIN(pmother 11 11)
  /opm12dis = PIN(pmother 12 12)
  /opf01dis = PIN(pfather 1 1)
  /opf02dis = PIN(pfather 2 2)
  /opf03dis = PIN(pfather 3 3)
  /opf04dis = PIN(pfather 4 4)
  /opf05dis = PIN(pfather 5 5)
  /opf06dis = PIN(pfather 6 6)
  /opf07dis = PIN(pfather 7 7)
  /opf08dis = PIN(pfather 8 8)
  /opf09dis = PIN(pfather 9 9)
  /opf10dis = PIN(pfather 10 10)
  /opf11dis = PIN(pfather 11 11)
  /opf12dis = PIN(pfather 12 12)
.

***** Aggregating at region level *****.

sort cases by country (a) region (a) .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGREG.SAV'
  /BREAK=country region 
  /misreg1= NMISS(pmother) 
  /misreg2= NMISS(pfather) 
  /numreg=N (idpupil)
  /opm01reg = PIN(pmother 1 1)
  /opm02reg = PIN(pmother 2 2)
  /opm03reg = PIN(pmother 3 3)
  /opm04reg = PIN(pmother 4 4)
  /opm05reg = PIN(pmother 5 5)
  /opm06reg = PIN(pmother 6 6)
  /opm07reg = PIN(pmother 7 7)
  /opm08reg = PIN(pmother 8 8)
  /opm09reg = PIN(pmother 9 9)
  /opm10reg = PIN(pmother 10 10)
  /opm11reg = PIN(pmother 11 11)
  /opm12reg = PIN(pmother 12 12)
  /opf01reg = PIN(pfather 1 1)
  /opf02reg = PIN(pfather 2 2)
  /opf03reg = PIN(pfather 3 3)
  /opf04reg = PIN(pfather 4 4)
  /opf05reg = PIN(pfather 5 5)
  /opf06reg = PIN(pfather 6 6)
  /opf07reg = PIN(pfather 7 7)
  /opf08reg = PIN(pfather 8 8)
  /opf09reg = PIN(pfather 9 9)
  /opf10reg = PIN(pfather 10 10)
  /opf11reg = PIN(pfather 11 11)
  /opf12reg = PIN(pfather 12 12)
.

***** Aggregating at country level *****.

sort cases by country (a).

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCON.SAV'
  /BREAK=country 
  /miscon1= NMISS(pmother)
  /miscon2= NMISS(pfather)
  /numcon=N (idpupil)
  /opm01con = PIN(pmother 1 1)
  /opm02con = PIN(pmother 2 2)
  /opm03con = PIN(pmother 3 3)
  /opm04con = PIN(pmother 4 4)
  /opm05con = PIN(pmother 5 5)
  /opm06con = PIN(pmother 6 6)
  /opm07con = PIN(pmother 7 7)
  /opm08con = PIN(pmother 8 8)
  /opm09con = PIN(pmother 9 9)
  /opm10con = PIN(pmother 10 10)
  /opm11con = PIN(pmother 11 11)
  /opm12con = PIN(pmother 12 12)
  /opf01con = PIN(pfather 1 1)
  /opf02con = PIN(pfather 2 2)
  /opf03con = PIN(pfather 3 3)
  /opf04con = PIN(pfather 4 4)
  /opf05con = PIN(pfather 5 5)
  /opf06con = PIN(pfather 6 6)
  /opf07con = PIN(pfather 7 7)
  /opf08con = PIN(pfather 8 8)
  /opf09con = PIN(pfather 9 9)
  /opf10con = PIN(pfather 10 10)
  /opf11con = PIN(pfather 11 11)
  /opf12con = PIN(pfather 12 12)
.

***** Merging back the different aggregation *****.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

FREQUENCIES
  VARIABLES=pmother pfather
  /ORDER  ANALYSIS .

sort cases by country (a) region (a) district (a) idschool (a)  idclass (a) .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCLS.sav'
 /BY country region district idschool idclass .
EXECUTE.

sort cases by country (a) region (a) district (a) idschool (a)  .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGSCH.sav'
 /BY country region district idschool .
EXECUTE.

sort cases by country (a) region (a) district (a)   .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGDIS.sav'
 /BY country region district .
EXECUTE.

sort cases by country (a) region (a)    .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGREG.sav'
 /BY country region .
EXECUTE.

sort cases by    country (a).

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCON.sav'
 /BY country .
EXECUTE.

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\temp.sav'.

***** Calculating the missing percentage at each level *****.

compute misclsp1=  miscls1/ numcls.
compute misschp1= missch1/ numsch.
compute misdisp1= misdis1/numdis.
compute misregp1= misreg1/numreg.
compute misconp1= miscon1/numcon.

compute misclsp2=  miscls2/ numcls.
compute misschp2= missch2/ numsch.
compute misdisp2= misdis2/numdis.
compute misregp2= misreg2/numreg.
compute misconp2= miscon2/numcon.

EXECUTE .

***** Finding the Mode at each level *****.

if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm12cls modecls1=12.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm11cls modecls1=11.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm10cls modecls1=10.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm09cls modecls1=9.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm08cls modecls1=8.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm07cls modecls1=7.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm06cls modecls1=6.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm05cls modecls1=5.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm04cls modecls1=4.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm03cls modecls1=3.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm02cls modecls1=2.
if max(opm01cls, opm02cls, opm03cls, opm04cls, opm05cls, opm06cls, opm07cls, opm08cls, opm09cls, opm10cls, opm11cls, opm12cls)=opm01cls modecls1=1.

if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf12cls modecls2=12.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf11cls modecls2=11.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf10cls modecls2=10.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf09cls modecls2=9.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf08cls modecls2=8.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf07cls modecls2=7.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf06cls modecls2=6.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf05cls modecls2=5.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf04cls modecls2=4.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf03cls modecls2=3.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf02cls modecls2=2.
if max(opf01cls, opf02cls, opf03cls, opf04cls, opf05cls, opf06cls, opf07cls, opf08cls, opf09cls, opf10cls, opf11cls, opf12cls)=opf01cls modecls2=1.

if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm12sch modesch1=12.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm11sch modesch1=11.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm10sch modesch1=10.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm09sch modesch1=9.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm08sch modesch1=8.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm07sch modesch1=7.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm06sch modesch1=6.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm05sch modesch1=5.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm04sch modesch1=4.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm03sch modesch1=3.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm02sch modesch1=2.
if max(opm01sch, opm02sch, opm03sch, opm04sch, opm05sch, opm06sch, opm07sch, opm08sch, opm09sch, opm10sch, opm11sch, opm12sch)=opm01sch modesch1=1.

if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf12sch modesch2=12.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf11sch modesch2=11.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf10sch modesch2=10.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf09sch modesch2=9.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf08sch modesch2=8.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf07sch modesch2=7.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf06sch modesch2=6.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf05sch modesch2=5.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf04sch modesch2=4.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf03sch modesch2=3.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf02sch modesch2=2.
if max(opf01sch, opf02sch, opf03sch, opf04sch, opf05sch, opf06sch, opf07sch, opf08sch, opf09sch, opf10sch, opf11sch, opf12sch)=opf01sch modesch2=1.

if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm12dis modedis1=12.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm11dis modedis1=11.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm10dis modedis1=10.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm09dis modedis1=9.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm08dis modedis1=8.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm07dis modedis1=7.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm06dis modedis1=6.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm05dis modedis1=5.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm04dis modedis1=4.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm03dis modedis1=3.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm02dis modedis1=2.
if max(opm01dis, opm02dis, opm03dis, opm04dis, opm05dis, opm06dis, opm07dis, opm08dis, opm09dis, opm10dis, opm11dis, opm12dis)=opm01dis modedis1=1.

if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf12dis modedis2=12.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf11dis modedis2=11.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf10dis modedis2=10.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf09dis modedis2=9.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf08dis modedis2=8.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf07dis modedis2=7.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf06dis modedis2=6.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf05dis modedis2=5.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf04dis modedis2=4.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf03dis modedis2=3.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf02dis modedis2=2.
if max(opf01dis, opf02dis, opf03dis, opf04dis, opf05dis, opf06dis, opf07dis, opf08dis, opf09dis, opf10dis, opf11dis, opf12dis)=opf01dis modedis2=1.

if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm12reg modereg1=12.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm11reg modereg1=11.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm10reg modereg1=10.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm09reg modereg1=9.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm08reg modereg1=8.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm07reg modereg1=7.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm06reg modereg1=6.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm05reg modereg1=5.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm04reg modereg1=4.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm03reg modereg1=3.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm02reg modereg1=2.
if max(opm01reg, opm02reg, opm03reg, opm04reg, opm05reg, opm06reg, opm07reg, opm08reg, opm09reg, opm10reg, opm11reg, opm12reg)=opm01reg modereg1=1.

if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf12reg modereg2=12.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf11reg modereg2=11.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf10reg modereg2=10.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf09reg modereg2=9.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf08reg modereg2=8.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf07reg modereg2=7.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf06reg modereg2=6.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf05reg modereg2=5.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf04reg modereg2=4.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf03reg modereg2=3.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf02reg modereg2=2.
if max(opf01reg, opf02reg, opf03reg, opf04reg, opf05reg, opf06reg, opf07reg, opf08reg, opf09reg, opf10reg, opf11reg, opf12reg)=opf01reg modereg2=1.

if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm12con modecon1=12.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm11con modecon1=11.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm10con modecon1=10.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm09con modecon1=9.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm08con modecon1=8.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm07con modecon1=7.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm06con modecon1=6.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm05con modecon1=5.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm04con modecon1=4.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm03con modecon1=3.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm02con modecon1=2.
if max(opm01con, opm02con, opm03con, opm04con, opm05con, opm06con, opm07con, opm08con, opm09con, opm10con, opm11con, opm12con)=opm01con modecon1=1.

if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf12con modecon2=12.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf11con modecon2=11.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf10con modecon2=10.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf09con modecon2=9.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf08con modecon2=8.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf07con modecon2=7.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf06con modecon2=6.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf05con modecon2=5.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf04con modecon2=4.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf03con modecon2=3.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf02con modecon2=2.
if max(opf01con, opf02con, opf03con, opf04con, opf05con, opf06con, opf07con, opf08con, opf09con, opf10con, opf11con, opf12con)=opf01con modecon2=1.

***** Imputation of pmother at class level *****.

if (missing(pmother) and misclsp1~= 0 and misclsp1 LT .15) pmother =modecls1.

FREQUENCIES
  VARIABLES=pmother 
  /ORDER  ANALYSIS .

***** Imputation of pmother at school level *****.

if (missing(pmother) and misclsp1 GE .15 and misschp1~= 0 and misschp1 LT .15) pmother=modesch1.

FREQUENCIES
  VARIABLES=pmother
  /ORDER  ANALYSIS .

***** Imputation of pmother at district level *****.

if (missing(pmother) and misclsp1 GE .15 and misschp1 GE .15 and misdisp1~= 0 and misdisp1 LT .15) pmother=modedis1.

FREQUENCIES
  VARIABLES=pmother
  /ORDER  ANALYSIS .

***** Imputation of pmother at region level *****.

if (missing(pmother) and misclsp1 GE .15 and misschp1 GE .15 and misdisp1 GE .15 and misregp1~= 0 and misregp1 LT .15) pmother=modereg1.

FREQUENCIES
  VARIABLES=pmother
  /ORDER  ANALYSIS .

***** Imputation of pmother at country level *****.

if (missing(pmother) and misclsp1 GE .15 and misschp1 GE .15 and misdisp1 GE .15 and misregp1 GE .15 and misconp1~= 0 and misconp1 LT .15) pmother=modecon1.

FREQUENCIES
  VARIABLES=pmother
  /ORDER  ANALYSIS .

***** No imputation of pmother if more than 15% missing at country level *****.

if (missing(pmother) and misclsp1 GE .15 and misschp1 GE .15 and misdisp1 GE .15 and misregp1 GE .15 and misconp1 GE .15) pmother=pmother.

FREQUENCIES
  VARIABLES=pmother
  /ORDER  ANALYSIS .

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\temp.sav'.

***** Imputation of pfather at class level *****.

if (missing(pfather) and misclsp2~= 0 and misclsp2 LT .15) pfather =modecls2.

FREQUENCIES
  VARIABLES=pfather 
  /ORDER  ANALYSIS .

***** Imputation of pfather at school level *****.

if (missing(pfather) and misclsp2 GE .15 and misschp2~= 0 and misschp2 LT .15) pfather=modesch2.

FREQUENCIES
  VARIABLES=pfather
  /ORDER  ANALYSIS .

***** Imputation of pfather at district level *****.

if (missing(pfather) and misclsp2 GE .15 and misschp2 GE .15 and misdisp2~= 0 and misdisp2 LT .15) pfather=modedis2.

FREQUENCIES
  VARIABLES=pfather
  /ORDER  ANALYSIS .

***** Imputation of pfather at region level *****.

if (missing(pfather) and misclsp2 GE .15 and misschp2 GE .15 and misdisp2 GE .15 and misregp2~= 0 and misregp2 LT .15) pfather=modereg2.

FREQUENCIES
  VARIABLES=pfather
  /ORDER  ANALYSIS .

***** Imputation of pfather at country level *****.

if (missing(pfather) and misclsp2 GE .15 and misschp2 GE .15 and misdisp2 GE .15 and misregp2 GE .15 and misconp2~= 0 and misconp2 LT .15) pfather=modecon2.

FREQUENCIES
  VARIABLES=pfather
  /ORDER  ANALYSIS .

***** No imputation of pfather if more than 15% missing at country level *****.

if (missing(pfather) and misclsp2 GE .15 and misschp2 GE .15 and misdisp2 GE .15 and misregp2 GE .15 and misconp2 GE .15) pfather=pfather.

FREQUENCIES
  VARIABLES=pfather
  /ORDER  ANALYSIS .

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\temp.sav'.

***** Saving imputated and derived variables *****.

sort cases by country (a) stratum (a) idpupil (a).

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ15_16.sav' /keep country stratum idpupil pmother pfather .

