GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

recode ssex (missing=sysmis).

FREQUENCIES
  VARIABLES=ssex
  /ORDER  ANALYSIS .

***** Calculating derived variables *****.

RECODE   ssex (1=0) (2=1) INTO  zssex.
EXECUTE .

***** Saving imputed and derived variables *****.

sort cases by country (a) stratum (a) idpupil (a).

save outfile='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\SQ04.sav' /keep country stratum idpupil ssex zssex.

***** Table *****.

SORT CASES BY country .
SPLIT FILE
  LAYERED BY country .

MEANS
  TABLES=zssex BY stratum
  /CELLS MEAN COUNT STDDEV  .
