********************************************************************************************************.
**** CONSTRUCTION OF THE VARIABLES JSTRAT AND JSCHLID FOR IIEPJACK *******.
******************************** SACMEQ 3: MAURITIUS  ****************************************.
********************************************************************************************************.

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\Processed_01\As of 2009_08_27\imputed_MAU.SAV'.
DATASET NAME Ensemble_de_donnes4 WINDOW=FRONT.

********************************************************.
******* STEP 1: CREATION OF JSTRAT  ********.
********************************************************.

compute jstrat =1.
if stratum = "2BB" jstrat=2.
if stratum = "3CU" jstrat=3.
if stratum = "4VA" jstrat=4.
if stratum ="7PR" jstrat=5.
if school=630 jstrat=6.
if school=631 jstrat=7.
if school=632 jstrat=8.
if school=633 jstrat=9.
if school=634 jstrat=10.
if school=635 jstrat=11.
if school=636 jstrat=12.
if school=637 jstrat=13.
if school=638 jstrat=14.
if school=639 jstrat=15.
if school=640 jstrat=16.
if school=700 jstrat=17.
if school=701 jstrat=18.
if school=702 jstrat=19.
if school=703 jstrat=20.
if school=704 jstrat=21.
if school=705 jstrat=22.
if school=706 jstrat=23.
if school=707 jstrat=24.
if school=708 jstrat=25.
if school=709 jstrat=26.
if school=710 jstrat=27.
if school=711 jstrat=28.
if school=712 jstrat=29.
execute.

VARIABLE LABELS jstrat 'IIEPJACK/ Strata ID'.
formats jstrat (f3.0).

FREQUENCIES
  VARIABLES=stratum jstrat
  /ORDER=  ANALYSIS .

SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'
 /COMPRESSED.

********************************************************.
******* STEP 2: CREATION OF JSCHLID ********.
********************************************************.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=1).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid1.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=2).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid2.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=3).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid3.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=4).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid4.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=5).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid5.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=6).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid6.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=7).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid7.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=8).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid8.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=9).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid9.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=10).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid10.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=11).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid11.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=12).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid12.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=13).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid13.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=14).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid14.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=15).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid15.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=16).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid16.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=17).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid17.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=18).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid18.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=19).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid19.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=20).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid20.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=21).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid21.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=22).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid22.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=23).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid23.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=24).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid24.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=25).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid25.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=26).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid26.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=27).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid27.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=28).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid28.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAU.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=29).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid29.sav'
   /COMPRESSED.

GET
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid1.sav'.
EXECUTE .
ADD FILES /FILE=*
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid2.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid3.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid4.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid5.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid6.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid7.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid8.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid9.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid10.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid11.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid12.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid13.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid14.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid15.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid16.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid17.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid18.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid19.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid20.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid21.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid22.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid23.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid24.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid25.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid26.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid27.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid28.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\MAU_schlid29.sav'.
EXECUTE.

sort cases by school (a).

VARIABLE LABELS jschlid 'IIEPJACK/ School Id'.

VALUE LABELS
	JSCHLID 1 " "
		2 " "
		3 " "
		4 " "
		5 " "
		6 " "
		7 " "
		8 " "
		9 " "
	 	10 " "
		11 " "
		12 " "
		13 " "
		14 " "
		15 " "
		16 " "
		17 " "
		18 " "
		19 " "
		20 " "
		21 " "
		22 " "
		23 " "
		24 " "
		25 " "
		26 " "
		27 " "
		28 " "
		29 " "
		30 " "
		31 " "
		32 " "
		33 " "
		34 " "
		35 " "
		36 " "
		37 " "
		38 " "
		39 " "
		40 " "
		41 " "
		42 " "
		43 " "
		44 " "
		45 " "
		46 " "
		47 " "
		48 " "
		49 " "
		50 " "
		51 " "
		52 " "
		53 " "
		54 " "
		55 " "
		56 " "
		57 " "
		58 " "
		59 " ".

formats jschlid (f3.0).

SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\imputed_MAU_rev.sav'
  /COMPRESSED.
Execute.
