********************************************************************************************************.
**** CONSTRUCTION OF THE VARIABLES JSTRAT AND JSCHLID FOR IIEPJACK *******.
******************************** SACMEQ 3: ZANZIBAR    ****************************************.
********************************************************************************************************.

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\Processed_01\As of 2009_08_27\imputed_ZAN.SAV'.

********************************************************.
******* STEP 1: CREATION OF JSTRAT  ********.
********************************************************.

RECODE
  stratum
('NOP'=1)  ('NOU'=2)  ('SOP'=3)  ('SOU'=4) INTO  jstrat.
  
if school=85   jstrat=5.
if school=86   jstrat=6.
if school=87   jstrat=7.
if school=88   jstrat=8.
if school=89   jstrat=9.
if school=90   jstrat=10.
if school=91   jstrat=11.
if school=92   jstrat=12.
if school=93   jstrat=13.
if school=94   jstrat=14.
if school=95   jstrat=15.
if school=96   jstrat=16.
if school=97   jstrat=17.
if school=98   jstrat=18.
if school=99   jstrat=19.
if school=100 jstrat=20.
if school=101 jstrat=21.
if school=102 jstrat=22.
if school=103 jstrat=23.
if school=104 jstrat=24.
if school=105 jstrat=25.
if school=106 jstrat=26.
if school=107 jstrat=27.
if school=108 jstrat=28.
if school=109 jstrat=29.
if school=110 jstrat=30.
if school=111 jstrat=31.
if school=112 jstrat=32.
if school=113 jstrat=33.
if school=114 jstrat=34.
if school=115 jstrat=35.
if school=116 jstrat=36.
if school=117 jstrat=37.
if school=118 jstrat=38.
if school=119 jstrat=39.
if school=120 jstrat=40.
if school=121 jstrat=41.
if school=122 jstrat=42.
if school=123 jstrat=43.
if school=124 jstrat=44.
if school=125 jstrat=45.
if school=126 jstrat=46.
if school=127 jstrat=47.
if school=128 jstrat=48.
if school=129 jstrat=49.
if school=130 jstrat=50.
if school=131 jstrat=51.
if school=132 jstrat=52.
if school=133 jstrat=53.
if school=134 jstrat=54.
if school=135 jstrat=55.
if school=136 jstrat=56.
if school=137 jstrat=57.
if school=138 jstrat=58.
if school=139 jstrat=59.
if school=140 jstrat=60.
if school=141 jstrat=61.
if school=142 jstrat=62.
if school=143 jstrat=63.
execute.

VARIABLE LABELS jstrat 'IIEPJACK/ Strata ID'.
formats jstrat (f3.0).

FREQUENCIES
  VARIABLES=stratum jstrat
  /ORDER=  ANALYSIS .

SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'
 /COMPRESSED.

********************************************************.
******* STEP 2: CREATION OF JSCHLID ********.
********************************************************.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=1).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.

EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid1.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=2).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid2.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=3).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid3.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=4).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid4.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=5).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid5.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=6).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid6.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=7).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid7.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=8).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid8.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=9).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid9.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=10).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid10.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=11).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid11.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=12).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid12.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=13).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid13.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=14).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid14.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=15).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid15.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=16).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid16.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=17).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid17.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=18).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid18.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=19).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid19.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=20).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid20.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=21).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid21.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=22).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid22.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=23).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid23.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=24).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid24.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=25).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid25.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=26).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid26.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=27).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid27.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=28).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid28.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=29).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid29.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=30).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid30.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=31).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid31.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=32).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid32.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=33).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid33.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=34).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid34.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=35).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid35.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=36).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid36.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=37).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid37.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=38).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid38.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=39).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid39.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=40).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid40.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=41).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid41.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=42).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid42.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=43).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid43.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=44).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid44.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=45).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid45.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=46).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid46.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=47).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid47.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=48).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid48.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=49).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid49.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=50).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid50.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=51).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid51.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=52).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid52.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=53).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid53.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=54).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid54.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=55).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid55.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=56).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid56.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=57).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid57.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=58).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid58.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=59).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid59.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=60).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid60.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=61).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid61.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=62).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid62.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_ZAN.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=63).
EXECUTE .
AUTORECODE VARIABLES=idpupil    
/INTO jschlid
/PRINT.
EXECUTE.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid63.sav'
   /COMPRESSED.

GET
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid1.sav'.
EXECUTE .
ADD FILES /FILE=*
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid2.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid3.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid4.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid5.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid6.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid7.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid8.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid9.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid10.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid11.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid12.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid13.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid14.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid15.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid16.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid17.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid18.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid19.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid20.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid21.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid22.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid23.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid24.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid25.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid26.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid27.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid28.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid29.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid30.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid31.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid32.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid33.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid34.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid35.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid36.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid37.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid38.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid39.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid40.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid41.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid42.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid43.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid44.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid45.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid46.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid47.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid48.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid49.sav'.
EXECUTE.

sort cases by school (a).

SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\tempo_zan.sav'
   /COMPRESSED.
EXECUTE .

GET
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\tempo_zan.sav'.
EXECUTE .
ADD FILES /FILE=*
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid50.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid51.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid52.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid53.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid54.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid55.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid56.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid57.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid58.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid59.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid60.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid61.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid62.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\ZAN_schlid63.sav'.
execute.

sort cases by school (a).

VARIABLE  LABELS jschlid 'IIEPJACK/ School ID'.
VALUE LABELS
	JSCHLID 1 " "
		2 " "
		3 " "
		4 " "
		5 " "
		6 " "
		7 " "
		8 " "
		9 " "
	 	10 " "
		11 " "
		12 " "
		13 " "
		14 " "
		15 " "
		16 " "
		17 " "
		18 " "
		19 " "
		20 " "
		21 " "
		22 " "
		23 " "
		24 " "
		25 " "
		26 " "
		27 " "
		28 " "
		29 " "
		30 " "
		31 " "
		32 " "
		33 " "
		34 " "
		35 " "
		36 " "
		37 " "
		38 " "
		39 " "
		40 " "
		41 " "
		42 " "
		43 " "
		44 " "
		45 " "
		46 " "
		47 " "
		48 " "
		49 " "
		50 " "
		51 " "
		52 " "
		53 " "
		54 " "
		55 " "
		56 " "
		57 " "
		58 " "
		59 " "
		60 " "
		61 " "
		62 " "
		63 " ".
formats jschlid (f3.0).


SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\imputed_ZAN_rev.sav'
  /COMPRESSED.
Execute.

