GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

if pfsex="B" pfs=1.
if pfsex="G" pfs=2.
if pfsex="9" or pfsex="" pfs=$sysmis.
formats pfs (f1.0).

if missing(psex) psex=$sysmis.
if missing(idpsex) idpsex=$sysmis.

if missing(idpsex) and not(missing(pfs)) idpsex=pfs.
if missing(idpsex) and missing(pfs) idpsex=psex.

if psex ~=idpsex or missing(psex) psex =idpsex .
if pfs ~=idpsex or missing(pfs) pfs=idpsex.

if pfs=1 pfsex="B".
if pfs=2 pfsex="G".

RECODE
  psex 
  (1=0)  (2=1)  (missing=sysmis) INTO  zpsex .
EXECUTE .
formats zpsex (f1.0).

FREQUENCIES
  VARIABLES=psex pfsex pfs idpsex zpsex
  /ORDER  ANALYSIS .

sort cases by country (a) stratum (a) idpupil (a).

save outfile='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\PQ02_zpsex.sav' /keep country stratum idpupil psex pfsex idpsex zpsex .

**** Pupil Sex*****.

SORT CASES BY country .
SPLIT FILE
  LAYERED BY country .

MEANS
  TABLES=zpsex BY stratum
  /CELLS MEAN COUNT STDDEV  .
