GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

if missing(pabsent) pabsent=pfabsent.
Execute.

if missing(pabsent) pabsent=0.
compute pfabsent=pabsent.

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\temp.sav'.

***** Automatic Recoding *****.

recode pabwhy1 to pabwhy6 (1=1) (2=2) (missing=1).

DO IF (PABWHY1 = 2 or PABWHY2 = 2 or PABWHY3 = 2 or PABWHY4 = 2 or PABWHY5 = 2 or PABWHY6 = 2) and (PABSENT = 0 or  PFABSENT=0).
  count why2=PABWHY1 PABWHY2 PABWHY3 PABWHY4 PABWHY5 PABWHY6 (2). 
  compute pabsent=why2.
  compute pfabsent=why2.
END IF.

DO IF pabsent~=0 and pfabsent~=0 and pabwhy1 =1 and pabwhy2 =1 and pabwhy3 =1 and pabwhy4 =1 and pabwhy5 =1 and pabwhy6 =1 .
  compute pabwhy6=2.
END IF.

***** Computing derived variables *****.

RECODE pabwhy1 to  pabwhy6   (1=0) (2=1) INTO zpabwhy1 to  zpabwhy6  .

***** Saving imputed and derived variables *****.

sort cases by country (a) stratum (a) idpupil (a).

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ21_22_pfabsent.sav' /keep country stratum  idpupil pabsent pfabsent
 pabwhy1 to pabwhy6 zpabwhy1 to zpabwhy6  .

***** days absent *****.

SORT CASES BY country .
SPLIT FILE
  LAYERED BY country .

MEANS
  TABLES=pabsent  BY stratum
  /CELLS MEAN COUNT STDDEV  .

MEANS
  /TABLES=zpabwhy1 to zpabwhy6  BY stratum
  /CELLS MEAN COUNT STDDEV  .

