GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

if missing(xsex ) xsex =IDxSEX .
if missing(ysex ) ysex =IDySEX .
if missing(wsex ) wsex =IDwSEX .
if missing(IDxSEX ) IDxSEX =xsex .
if missing(IDySEX ) IDySEX =ysex .
if missing(IDwSEX ) IDwSEX =wsex .

if XSEX ~= IDXSEX XSEX = IDXSEX .
if YSEX ~= IDYSEX YSEX = IDYSEX .
if WSEX ~= IDWSEX WSEX = IDWSEX .

***** Calculating derived variables *****.

RECODE   xsex ysex  wsex  (1=0) (2=1) INTO  zxsex zysex zwsex .
EXECUTE .

***** Saving imputed and derived variables *****.

sort cases by country (a) stratum (a) idpupil (a).

save outfile='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\TQ01_idtsex_z.sav' /keep country stratum idpupil xsex ysex wsex IDxSEX IDySEX IDwSEX zxsex zysex zwsex .

***** Table *****.

SORT CASES BY country .
SPLIT FILE
  LAYERED BY country .

MEANS
  TABLES=zxsex zysex zwsex BY stratum
  /CELLS MEAN COUNT STDDEV  .
