GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\BOT\scored_BOT.sav'.

ADD FILES /FILE=*
 /RENAME (IDREG IDSTRAT = d0 d1)
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\KEN\scored_KEN.sav'
 /RENAME (PROVINCE = d2)
 /DROP= d0 d1 d2.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\LES\scored_LES.sav'
 /RENAME (DIS_nam REG_nam = d0 d1)
 /DROP= d0 d1.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\MAL\scored_MAL.sav'
 /RENAME (DIVISION = d0)
 /DROP= d0.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\MAU\scored_MAU.sav'
 /RENAME (ZONE = d0)
 /DROP= d0.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\MOZ\scored_MOZ.sav'
 /RENAME (REG = d0)
 /DROP= d0.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\NAM\scored_NAM.sav'
 /RENAME (REGION_nam = d0)
 /DROP= d0.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SEY\scored_SEY.sav'
 /RENAME (REG = d0)
 /DROP= d0.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\scored_SOU.sav'
 /RENAME (DIST REG = d0 d1)
 /DROP= d0 d1.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SWA\scored_SWA.sav'
 /RENAME (REG = d0)
 /DROP= d0.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\TAN\scored_TAN.sav'
 /RENAME (ZONE = d0)
 /DROP= d0.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\UGA\scored_UGA.sav'
 /RENAME (REG_nam = d0)
 /DROP= d0.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\ZAM\scored_ZAM.sav'
 /RENAME (REG = d0)
 /DROP= d0.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\ZAN\scored_ZAN.sav'
 /RENAME (REG = d0)
 /DROP= d0.
EXECUTE.
ADD FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\ZIM\scored_ZIM.sav'
 /RENAME (PROVINCE = d0)
 /DROP= d0.
EXECUTE.

If country="BOT" achieved=3869.
If country="KEN" achieved=4436.
If country="LES" achieved=4240.
If country="MAL" achieved=2781.
If country="MAU" achieved=3524.
If country="MOZ" achieved=3363.
If country="NAM" achieved=6398.
If country="SEY" achieved=1480.
If country="SOU" achieved=9083.
If country="SWA" achieved=4030.
If country="TAN" achieved=4194.
If country="UGA" achieved=5307.
If country="ZAM" achieved=2900.
If country="ZAN" achieved=2791.
If country="ZIM" achieved=3025.

compute pweighta=pweight2*(400/achieved).

*** Run up to here and weight by pweighta to get the mean and SD and use below ***.
compute zhalocp=100*(HlocP-1.003240695337)/(0.7332627988086) + 500.
compute zhalocrt=100*(HlocRT-1.003240695337)/(0.7332627988086) + 500.
compute zhalocmt=100*(HlocMT-1.003240695337)/(0.7332627988086) + 500.
compute zhalocht=100*(HlocHT-1.003240695337)/(0.7332627988086) + 500.

IF zralocp LE 0 zralocp =$sysmis. 
IF zhalocp LE 0 zhalocp =$sysmis. 

WEIGHT
  OFF.

SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'
/keep COUNTRY REGION DISTRICT SCHOOL PUPIL PCLASS idpupil idschool class idclass  idcl idtr idtm idth 
stratum MOS strsize schperst  enr6 difenr difenr2 numstu xnumstu prob1 RF1 pweight1 prob2 RF2 pweight2 achieved pweighta 
PBDAY to PHCLSBT
 PREAD01 to   PREAD55 
PMATH01 to PMATH49 
IDPSEX PHLTH01 to PHLTH86 
PFPUPIL to PDMOTHER 
STYPE to SLIBBKS 
SFCLSES to   SFHLTH 
HDTE xclass xclsize XSEX to XHIVTEST TREAD01 to TREAD52 
IDXSEX XHLTH01 to XHLTH86 
HDTM yclass yclsize YSEX to YHIVTEST   TMATH01 to TMATH42 
IDYSEX YHLTH01 to YHLTH86 
HDTH wclass wclsize WSEX to WHIVTEST   
IDwSEX WHLTH01 to WHLTH86 
 RcorP RAlocP RlocseP McorP MAlocP MlocseP HcorP HlocP HlocseP 
RcorT RAlocT  RlocseT HcorRT HlocRT HlocseRT 
McorT MAlocT MlocseT HcorMT HlocMT HlocseMT 
  HcorHT HlocHT HlocseHT 
zralocp zmalocp zhalocp zraloct zhalocrt   zmaloct zhalocmt zhalocht 
ZRALEVP ZMALEVP ZRALEVT ZMALEVT 
zprco zpmco zphco ztrco ztmco ztrhco ztmhco zthhco 
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

WEIGHT
  BY pweighta .

FREQUENCIES
  VARIABLES=COUNTRY
  /ORDER=  ANALYSIS .

DESCRIPTIVES
  VARIABLES=HcorP HlocP
  /STATISTICS=MEAN STDDEV MIN MAX .

DESCRIPTIVES
  VARIABLES=zhalocp zhalocrt zhalocmt zhalocht
  /STATISTICS=MEAN STDDEV MIN MAX .

MEANS
  TABLES=zhalocp  zhalocrt zhalocmt zhalocht BY COUNTRY
  /CELLS MEAN COUNT STDDEV  .

MEANS
  TABLES=zralocp  by COUNTRY BY psex 
  /CELLS MEAN COUNT STDDEV  .

MEANS
  TABLES=zmalocp  by COUNTRY BY psex 
  /CELLS MEAN COUNT STDDEV  .

MEANS
  TABLES=zhalocp  by COUNTRY BY psex 
  /CELLS MEAN COUNT STDDEV  .

***** Making separate files by country *****.
GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="BOT".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\BOT\H_scored_BOT.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="KEN".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\KEN\H_scored_KEN.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="LES".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\LES\H_scored_LES.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="MAL".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\MAL\H_scored_MAL.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="MAU".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\MAU\H_scored_MAU.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="MOZ".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\MOZ\H_scored_MOZ.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="NAM".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\NAM\H_scored_NAM.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="SEY".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\SEY\H_scored_SEY.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="SOU".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\H_scored_SOU.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="SWA".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\SWA\H_scored_SWA.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="TAN".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\TAN\H_scored_TAN.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="UGA".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\UGA\H_scored_UGA.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="ZAM".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\ZAM\H_scored_ZAM.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="ZAN".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\ZAN\H_scored_ZAN.sav'
 /COMPRESSED.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

select if COUNTRY="ZIM".
SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\ZIM\H_scored_ZIM.sav'
 /COMPRESSED.
