********************************************************************************************************.
**** CONSTRUCTION OF THE VARIABLES JSTRAT AND JSCHLID FOR IIEPJACK *******.
******************************** SACMEQ 3: MOZAMBIQUE **************************************.
********************************************************************************************************.

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\Processed_01\As of 2009_08_27\imputed_MOZ.SAV'.
EXECUTE.

********************************************************.
******* STEP 1: CREATION OF JSTRAT  ********.
********************************************************.

compute jstrat =1.
if stratum = "CID" jstrat=2.
if stratum = "GAZ" jstrat=3.
if stratum = "INH" jstrat=4.
if stratum ="MAN" jstrat=5.
if stratum ="MAP" jstrat=6.
if stratum ="NAM" jstrat=7.
if stratum ="NIA" jstrat=8.
if stratum ="SOF" jstrat=9.
if stratum ="TET" jstrat=10.
if stratum ="ZAM" jstrat=11.
execute.
  
VARIABLE LABELS jstrat 'IIEPJACK/ Strata ID'.
formats jstrat (f3.0).

FREQUENCIES
  VARIABLES=stratum jstrat
  /ORDER=  ANALYSIS .

SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'
 /COMPRESSED.

********************************************************.
******* STEP 2: CREATION OF JSCHLID ********.
********************************************************.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 1).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid1.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 2).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid2.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 3).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid3.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 4).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid4.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 5).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid5.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 6).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid6.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 7).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid7.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 8).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid8.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 9).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid9.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 10).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid10.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MOZ .sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 11).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid11.sav'
   /COMPRESSED.

GET
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid1.sav'

EXECUTE .
ADD FILES /FILE=*
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid2.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid3.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid4.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid5.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid6.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid7.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid8.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid9.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid10.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MOZ _schlid11.sav'.
EXECUTE.

sort cases by school (a).

VARIABLE LABELS jschlid 'IIEPJACK/ School Id'.

VALUE LABELS
	JSCHLID 1 " "
		2 " "
		3 " "
		4 " "
		5 " "
		6 " "
		7 " "
		8 " "
		9 " "
	 	10 " "
		11 " "
		12 " "
		13 " "
		14 " "
		15 " "
		16 " "
		17 " "
		18 " "
		19 " "
		20 " "
		21 " "
		22 " "
		23 " "
		24 " "
		25 " "
		26 " "
		27 " "
		28 " "
		29 " "
		30 " "
		31 " "
		32 " "
		33 " "
		34 " "
		35 " "
		36 " "
		37 " "
		38 " "
		39 " "
		40 " "
		41 " "
		42 " "
		43 " "
		44 " "
		45 " "
		46 " "
		47 " "
		48 " "
		49 " "
		50 " "
		51 " "
		52 " "
		53 " "
		54 " "
		55 " "
		56 " "
		57 " "
		58 " "
		59 " ".

formats jschlid (f3.0).

SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\imputed_MOZ _rev.sav'
  /COMPRESSED.
Execute.