********************************************************************************************************.
**** CONSTRUCTION OF THE VARIABLES JSTRAT AND JSCHLID FOR IIEPJACK *******.
******************************** SACMEQ 3: SEYCHELLES **************************************.
********************************************************************************************************.
GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\Processed_01\As of 2009_08_27\imputed_sey.sav'.   
EXECUTE .

********************************************************.
******* STEP 1: CREATION OF JSTRAT ********.
********************************************************.

compute jstrat=school.
execute.

VARIABLE LABELS jstrat 'IIEPJACK/ Strata ID'.

formats jstrat (f3.0).

SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_SEY.sav'
   /COMPRESSED.
EXECUTE .

********************************************************.
******* STEP 2: CREATION OF JSCHLID ********.
********************************************************.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=1).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate1.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=2).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate2.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=3).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate3.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=4).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate4.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=5).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate5.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=6).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate6.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=7).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate7.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=8).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate8.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=9).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate9.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=10).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate10.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=11).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate11.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=12).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate12.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=13).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate13.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=14).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate14.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=15).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate15.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=16).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate16.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=17).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate17.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=18).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate18.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=19).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate19.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=20).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate20.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=21).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate21.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=22).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate22.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=23).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate23.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrate_sey.sav'.   
EXECUTE .
FILTER OFF.
USE ALL.
SELECT IF(jstrat=24).
EXECUTE .
AUTORECODE VARIABLES=idpupil
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate24.sav'
   /COMPRESSED.

GET
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate1.sav'.
EXECUTE .
ADD FILES /FILE=*
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate2.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate3.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate4.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate5.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate6.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate7.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate8.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate9.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate10.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate11.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate12.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate13.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate14.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate15.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate16.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate17.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate18.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate19.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate20.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate21.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate22.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate23.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3sey_strate24.sav'.
EXECUTE.

sort cases by school (a).

VARIABLE LABELS jschlid 'IIEPJACK/ School ID'.

VALUE LABELS
	jschlid    1 " "
		2 " "
		3 " "
		4 " "
		5 " "
		6 " "
		7 " "
		8 " "
		9 " "
	 	10 " "
		11 " "
		12 " "
		13 " "
		14 " "
		15 " "
		16 " "
		17 " "
		18 " "
		19 " "
		20 " "
		21 " "
		22 " "
		23 " "
		24 " "
		25 " "
		26 " "
		27 " "
		28 " "
		29 " "
		30 " "
		31 " "
		32 " "
		33 " "
		34 " "
		35 " "
		36 " "
		37 " "
		38 " "
		39 " "
		40 " "
		41 " "
		42 " "
		43 " "
		44 " "
		45 " "
		46 " "
		47 " "
		48 " "
		49 " "
		50 " "
		51 " "
		52 " "
		53 " "
		54 " "
		55 " "
		56 " "
		57 " "
		58 " "
		59 " "
		60 " "
		61 " "
		62 " "
		63 " "
		64 " "
		65 " "
		66 " "
		67 " "
		68 " "
		69 " "
	  	70 " "
		71 " "
		72 " "
		73 " "
		74 " "
		75 " "
		76 " "
		77 " "
		78 " "
		79 " "
		80 " "
		81 " "
		82 " "
		83 " "
		84 " "
		85 " "
		86 " "
		87 " "
		88 " "
		89 " "
		90 " "
		91 " "
		92 " "
		93 " "
		94 " "
		95 " "
		96 " "
		97 " "
		98 " "
		99 " "
		100 " "
		101 " "
		102 " "
		103 " "
		104 " "
		105 " "
		106 " "
		107 " "
		108 " "
		109 " "
		110 " "
		111 " "
		112 " "
		113 " "
		114 " "
		115 " "
		116 " "
		117 " "
		118 " "
		119 " "
		120 " "
		121 " "
		122 " "
		123 " "
		124 " "
		125 " "
		126 " "
		127 " "
		128 " "
		129 " "
		130 " "
		131 " "
		132 " "
		133 " "
		134 " "
		135 " "
		136 " "
		137 " "
		138 " "
		139 " "
		140 " "
		141 " "
		142 " "
		143 " "
		144 " "
		145 " ".

formats jschlid (f3.0).

SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\imputed_sey_rev.sav'
/COMPRESSED.
EXECUTE.

FREQUENCIES
  VARIABLES=SCHOOL jstrat jschlid
  /ORDER=  ANALYSIS .


