GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\weighted_SOU.sav'.

sort cases by idpupil (A).

MATCH FILES /FILE=*
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\PRSOU_raw.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\PMSOU_raw.sav'
 /FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\PHSOU_raw.sav'
 /BY idpupil.
EXECUTE.

sort cases by idtr (A).

MATCH FILES /FILE=*
 /TABLE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\TRSOU_raw.sav'
 /BY idtr.
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\THSOU_RT_raw.sav'
 /BY idtr.
EXECUTE.

sort cases by idtm (A).

MATCH FILES /FILE=*
 /TABLE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\TMSOU_raw.sav'
 /BY idtm .
EXECUTE.

MATCH FILES /FILE=*
 /TABLE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\THSOU_MT_raw.sav'
 /BY idtm .
EXECUTE.

sort cases by idth (A).

MATCH FILES /FILE=*
 /TABLE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\THSOU_HT_raw.sav'
 /BY idth .
EXECUTE.

*** Calculating the scores based on SACMEQ2 mean 500 SD 100 *****.
compute zralocp=100*(ralocp+0.432680694)/(1.048464195) + 500.
compute zmalocp=100*(malocp+0.990098067)/(0.888748729) + 500.
compute zraloct=100*(raloct+0.432680694)/(1.048464195) + 500.
compute zmaloct=100*(maloct+0.990098067)/(0.888748729) + 500.

***** Levels Information *****.

if  (ralocp LE -1.765) ZRALEVP=1.	
if  (ralocp GT -1.765 and ralocp LE -1.332) ZRALEVP=2.				
if  (ralocp GT -1.332 and ralocp LE -0.881) ZRALEVP=3.				
if  (ralocp GT -0.881 and ralocp LE -0.334) ZRALEVP=4.				
if  (ralocp GT -0.334 and ralocp LE 0.232) ZRALEVP=5.				
if  (ralocp GT 0.232 and ralocp LE 0.807) ZRALEVP=6.				
if  (ralocp GT 0.807 and ralocp LE 1.692) ZRALEVP=7.				
if  (ralocp GT 1.692) ZRALEVP=8.
execute.				

if  (malocp LE -2.199) ZMALEVP=1.				
if  (malocp GT -2.199 and malocp LE -1.325) ZMALEVP=2.
if  (malocp GT -1.325 and malocp LE -0.709) ZMALEVP=3.				
if  (malocp GT -0.709 and malocp LE -0.213) ZMALEVP=4.				
if  (malocp GT -0.213 and malocp LE 0.293) ZMALEVP=5.				
if  (malocp GT 0.293 and malocp LE 0.962) ZMALEVP=6.				
if  (malocp GT 0.962 and malocp LE 1.728) ZMALEVP=7.				
if  (malocp GT 1.728) ZMALEVP=8.
execute.

if  (raloct LE -1.765) ZRALEVT=1.	
if  (raloct GT -1.765 and raloct LE -1.332) ZRALEVT=2.				
if  (raloct GT -1.332 and raloct LE -0.881) ZRALEVT=3.				
if  (raloct GT -0.881 and raloct LE -0.334) ZRALEVT=4.				
if  (raloct GT -0.334 and raloct LE 0.232) ZRALEVT=5.				
if  (raloct GT 0.232 and raloct LE 0.807) ZRALEVT=6.				
if  (raloct GT 0.807 and raloct LE 1.692) ZRALEVT=7.				
if  (raloct GT 1.692) ZRALEVT=8.
execute.				

if  (maloct LE -2.199) ZMALEVT=1.				
if  (maloct GT -2.199 and maloct LE -1.325) ZMALEVT=2.
if  (maloct GT -1.325 and maloct LE -0.709) ZMALEVT=3.				
if  (maloct GT -0.709 and maloct LE -0.213) ZMALEVT=4.				
if  (maloct GT -0.213 and maloct LE 0.293) ZMALEVT=5.				
if  (maloct GT 0.293 and maloct LE 0.962) ZMALEVT=6.				
if  (maloct GT 0.962 and maloct LE 1.728) ZMALEVT=7.				
if  (maloct GT 1.728) ZMALEVT=8.
execute.

**** Creating a score on the number of correct on the common items *****.
compute PR01 =0.
compute PR02 =0.
compute PR03 =0.
compute PR04 =0.
compute PR05 =0.
compute PR06 =0.
compute PR07 =0.
compute PR08 =0.
compute PR09 =0.
compute PR10 =0.
compute PR11 =0.
compute PR12 =0.
compute PR13 =0.
compute PR14 =0.
compute PR15 =0.
compute PR16 =0.
compute PR17 =0.
compute PR18 =0.
compute PR19 =0.
compute PR20 =0.
compute PR21 =0.
compute PR22 =0.
compute PR23 =0.
compute PR24 =0.
compute PR25 =0.
compute PR26 =0.
compute PR27 =0.
compute PR28 =0.
compute PR29 =0.
compute PR30 =0.
compute PR31 =0.
compute PR32 =0.
compute PR33 =0.
compute PR34 =0.
compute PR35 =0.
compute PR36 =0.
compute PR37 =0.
compute PR38 =0.
compute PR39 =0.
compute PR40 =0.
compute PR41 =0.
compute PR42 =0.
compute PR43 =0.
compute PR44 =0.
compute PR45 =0.
compute PR46 =0.
compute PR47 =0.
compute PR48 =0.
compute PR49 =0.
compute PR50 =0.
compute PR51 =0.
compute PR52 =0.
compute PR53 =0.
compute PR54 =0.
compute PR55 =0.

if PREAD01 = 2 PR01 =1.
if PREAD02 = 2 PR02 =1.
if PREAD03 = 3 PR03 =1.
if PREAD04 = 1 PR04 =1.
if PREAD05 = 2 PR05 =1.
if PREAD06 = 1 PR06 =1.
if PREAD07 = 2 PR07 =1.
if PREAD08 = 2 PR08 =1.
if PREAD09 = 2 PR09 =1.
if PREAD10 = 3 PR10 =1.
if PREAD11 = 2 PR11 =1.
if PREAD12 = 2 PR12 =1.
if PREAD13 = 2 PR13 =1.
if PREAD14 = 2 PR14 =1.
if PREAD15 = 1 PR15 =1.
if PREAD16 = 2 PR16 =1.
if PREAD17 = 4 PR17 =1.
if PREAD18 = 3 PR18 =1.
if PREAD19 = 4 PR19 =1.
if PREAD20 = 1 PR20 =1.
if PREAD21 = 3 PR21 =1.
if PREAD22 = 4 PR22 =1.
if PREAD23 = 2 PR23 =1.
if PREAD24 = 1 PR24 =1.
if PREAD25 = 1 PR25 =1.
if PREAD26 = 4 PR26 =1.
if PREAD27 = 1 PR27 =1.
if PREAD28 = 3 PR28 =1.
if PREAD29 = 1 PR29 =1.
if PREAD30 = 4 PR30 =1.
if PREAD31 = 2 PR31 =1.
if PREAD32 = 3 PR32 =1.
if PREAD33 = 1 PR33 =1.
if PREAD34 = 3 PR34 =1.
if PREAD35 = 3 PR35 =1.
if PREAD36 = 1 PR36 =1.
if PREAD37 = 3 PR37 =1.
if PREAD38 = 4 PR38 =1.
if PREAD39 = 2 PR39 =1.
if PREAD40 = 1 PR40 =1.
if PREAD41 = 2 PR41 =1.
if PREAD42 = 2 PR42 =1.
if PREAD43 = 1 PR43 =1.
if PREAD44 = 1 PR44 =1.
if PREAD45 = 1 PR45 =1.
if PREAD46 = 3 PR46 =1.
if PREAD47 = 1 PR47 =1.
if PREAD48 = 4 PR48 =1.
if PREAD49 = 2 PR49 =1.
if PREAD50 = 4 PR50 =1.
if PREAD51 = 2 PR51 =1.
if PREAD52 = 4 PR52 =1.
if PREAD53 = 2 PR53 =1.
if PREAD54 = 4 PR54 =1.
if PREAD55 = 4 PR55 =1.

compute zprco=PR01 + PR02 + PR03 + PR04 + PR05 + PR06 + PR07 + PR08 + PR09 + PR10 + PR11 + PR12 + PR13 + PR14 + PR15 + PR16 + PR17 + PR18 + PR19 + PR20
 + PR21 + PR22 + PR23 + PR24 + PR25 + PR26 + PR27 + PR28 + PR29 + PR30 + PR31 + PR32 + PR33 + PR34 + PR35 + PR36 + PR37 + PR38 + PR39 + PR40
 + PR41 + PR42 + PR43 + PR44 + PR45 + PR46 + PR47 + PR48 + PR49 + PR50 + PR51 + PR52 + PR53 + PR54 + PR55 .  
EXECUTE.

compute PM01 =0.
compute PM02 =0.
compute PM03 =0.
compute PM04 =0.
compute PM05 =0.
compute PM06 =0.
compute PM07 =0.
compute PM08 =0.
compute PM09 =0.
compute PM10 =0.
compute PM11 =0.
compute PM12 =0.
compute PM13 =0.
compute PM14 =0.
compute PM15 =0.
compute PM16 =0.
compute PM17 =0.
compute PM18 =0.
compute PM19 =0.
compute PM20 =0.
compute PM21 =0.
compute PM22 =0.
compute PM23 =0.
compute PM24 =0.
compute PM25 =0.
compute PM26 =0.
*compute PM27 =0.
compute PM28 =0.
compute PM29 =0.
compute PM30 =0.
compute PM31 =0.
compute PM33 =0.
compute PM34 =0.
compute PM35 =0.
compute PM36 =0.
compute PM37 =0.
compute PM38 =0.
compute PM39 =0.
compute PM40 =0.
compute PM41 =0.
compute PM42 =0.
compute PM43 =0.
compute PM44 =0.
compute PM45 =0.
compute PM46 =0.
compute PM47 =0.
*compute PM48 =0.
*compute PM49 =0.

if PMATH01 = 2 PM01 =1.
if PMATH02 = 2 PM02 =1.
if PMATH03 = 3 PM03 =1.
if PMATH04 = 2 PM04 =1.
if PMATH05 = 2 PM05 =1.
if PMATH06 = 3 PM06 =1.
if PMATH07 = 2 PM07 =1.
if PMATH08 = 2 PM08 =1.
if PMATH09 = 4 PM09 =1.
if PMATH10 = 2 PM10 =1.
if PMATH11 = 2 PM11 =1.
if PMATH12 = 2 PM12 =1.
if PMATH13 = 1 PM13 =1.
if PMATH14 = 1 PM14 =1.
if PMATH15 = 3 PM15 =1.
if PMATH16 = 2 PM16 =1.
if PMATH17 = 2 PM17 =1.
if PMATH18 = 2 PM18 =1.
if PMATH19 = 4 PM19 =1.
if PMATH20 = 1 PM20 =1.
if PMATH21 = 1 PM21 =1.
if PMATH22 = 2 PM22 =1.
if PMATH23 = 3 PM23 =1.
if PMATH24 = 2 PM24 =1.
if PMATH25 = 3 PM25 =1.
if PMATH26 = 2 PM26 =1.
*if PMATH27 = 2 PM27 =1.
if PMATH28 = 2 PM28 =1.
if PMATH29 = 1 PM29 =1.
if PMATH30 = 3 PM30 =1.
if PMATH31 = 3 PM31 =1.
if PMATH33 = 2 PM33 =1.
if PMATH34 = 3 PM34 =1.
if PMATH35 = 2 PM35 =1.
if PMATH36 = 3 PM36 =1.
if PMATH37 = 2 PM37 =1.
if PMATH38 = 2 PM38 =1.
if PMATH39 = 1 PM39 =1.
if PMATH40 = 2 PM40 =1.
if PMATH41 = 3 PM41 =1.
if PMATH42 = 2 PM42 =1.
if PMATH43 = 4 PM43 =1.
if PMATH44 = 3 PM44 =1.
if PMATH45 = 1 PM45 =1.
if PMATH46 = 1 PM46 =1.
if PMATH47 = 1 PM47 =1.
*if PMATH48 = 3 PM48 =1.
*if PMATH49 = 3 PM49 =1.

compute zpmco=PM01 + PM02 + PM03 + PM04 + PM05 + PM06 + PM07 + PM08 + PM09 + PM10 + PM11 + PM12 + PM13 + PM14 + PM15 + PM16 + PM17 + PM18 + PM19 + PM20
 + PM21 + PM22 + PM23 + PM24 + PM25 + PM26 + PM28 + PM29 + PM30 + PM31 + PM33 + PM34 + PM35 + PM36 + PM37 + PM38 + PM39 + PM40
 + PM41 + PM42 + PM43 + PM44 + PM45 + PM46 + PM47 .  
EXECUTE.

compute	PH01	=0.
compute	PH02	=0.
compute	PH03	=0.
compute	PH04	=0.
compute	PH05	=0.
compute	PH06	=0.
compute	PH07	=0.
compute	PH08	=0.
compute	PH09	=0.
compute	PH10	=0.
compute	PH11	=0.
compute	PH12	=0.
compute	PH15	=0.
compute	PH16	=0.
compute	PH17	=0.
compute	PH18	=0.
compute	PH19	=0.
compute	PH20	=0.
compute	PH21	=0.
compute	PH22	=0.
compute	PH23	=0.
compute	PH25	=0.
compute	PH26	=0.
compute	PH27	=0.
compute	PH28	=0.
compute	PH30	=0.
compute	PH31	=0.
compute	PH32	=0.
compute	PH33	=0.
compute	PH34	=0.
compute	PH35	=0.
compute	PH37	=0.
compute	PH38	=0.
compute	PH39	=0.
compute	PH40	=0.
compute	PH41	=0.
compute	PH42	=0.
compute	PH43	=0.
compute	PH44	=0.
compute	PH45	=0.
compute	PH46	=0.
compute	PH47	=0.
compute	PH48	=0.
compute	PH49	=0.
compute	PH50	=0.
compute	PH51	=0.
compute	PH52	=0.
compute	PH53	=0.
compute	PH54	=0.
compute	PH55	=0.
compute	PH56	=0.
compute	PH57	=0.
compute	PH58	=0.
compute	PH59	=0.
compute	PH60	=0.
compute	PH61	=0.
compute	PH62	=0.
compute	PH63	=0.
compute	PH65	=0.
compute	PH67	=0.
compute	PH68	=0.
compute	PH69	=0.
compute	PH70	=0.
compute	PH71	=0.
compute	PH72	=0.
compute	PH73	=0.
compute	PH74	=0.
compute	PH75	=0.
compute	PH76	=0.
compute	PH77	=0.
compute	PH78	=0.
compute	PH79	=0.
compute	PH80	=0.
compute	PH83	=0.
compute	PH84	=0.

if 	PHLTH01 	 = 	1	PH01	 =1.
if 	PHLTH02	 = 	2	PH02	 =1.
if 	PHLTH03	 = 	2	PH03	 =1.
if 	PHLTH04	 = 	1	PH04	 =1.
if 	PHLTH05	 = 	2	PH05	 =1.
if 	PHLTH06	 = 	2	PH06	 =1.
if 	PHLTH07	 = 	1	PH07	 =1.
if 	PHLTH08	 = 	1	PH08	 =1.
if 	PHLTH09	 = 	1	PH09	 =1.
if 	PHLTH10	 = 	2	PH10	 =1.
if 	PHLTH11	 = 	2	PH11	 =1.
if 	PHLTH12	 = 	2	PH12	 =1.
if 	PHLTH15	 = 	2	PH15	 =1.
if 	PHLTH16	 = 	1	PH16	 =1.
if 	PHLTH17	 = 	2	PH17	 =1.
if 	PHLTH18	 = 	1	PH18	 =1.
if 	PHLTH19	 = 	1	PH19	 =1.
if 	PHLTH20	 = 	1	PH20	 =1.
if 	PHLTH21	 = 	2	PH21	 =1.
if 	PHLTH22	 = 	1	PH22	 =1.
if 	PHLTH23	 = 	2	PH23	 =1.
if 	PHLTH25	 = 	2	PH25	 =1.
if 	PHLTH26	 = 	2	PH26	 =1.
if 	PHLTH27	 = 	1	PH27	 =1.
if 	PHLTH28	 = 	2	PH28	 =1.
if 	PHLTH30	 = 	2	PH30	 =1.
if 	PHLTH31	 = 	1	PH31	 =1.
if 	PHLTH32	 = 	1	PH32	 =1.
if 	PHLTH33	 = 	1	PH33	 =1.
if 	PHLTH34	 = 	2	PH34	 =1.
if 	PHLTH35	 = 	2	PH35	 =1.
if 	PHLTH37	 = 	1	PH37	 =1.
if 	PHLTH38	 = 	1	PH38	 =1.
if 	PHLTH39	 = 	2	PH39	 =1.
if 	PHLTH40	 = 	1	PH40	 =1.
if 	PHLTH41	 = 	2	PH41	 =1.
if 	PHLTH42	 = 	1	PH42	 =1.
if 	PHLTH43	 = 	1	PH43	 =1.
if 	PHLTH44	 = 	1	PH44	 =1.
if 	PHLTH45	 = 	2	PH45	 =1.
if 	PHLTH46	 = 	1	PH46	 =1.
if 	PHLTH47	 = 	2	PH47	 =1.
if 	PHLTH48	 = 	2	PH48	 =1.
if 	PHLTH49	 = 	1	PH49	 =1.
if 	PHLTH50	 = 	1	PH50	 =1.
if 	PHLTH51	 = 	2	PH51	 =1.
if 	PHLTH52	 = 	1	PH52	 =1.
if 	PHLTH53	 = 	2	PH53	 =1.
if 	PHLTH54	 = 	2	PH54	 =1.
if 	PHLTH55	 = 	1	PH55	 =1.
if 	PHLTH56	 = 	1	PH56	 =1.
if 	PHLTH57	 = 	1	PH57	 =1.
if 	PHLTH58	 = 	1	PH58	 =1.
if 	PHLTH59	 = 	1	PH59	 =1.
if 	PHLTH60	 = 	2	PH60	 =1.
if 	PHLTH61	 = 	1	PH61	 =1.
if 	PHLTH62	 = 	1	PH62	 =1.
if 	PHLTH63	 = 	2	PH63	 =1.
if 	PHLTH65	 = 	2	PH65	 =1.
if 	PHLTH67	 = 	2	PH67	 =1.
if 	PHLTH68	 = 	2	PH68	 =1.
if 	PHLTH69	 = 	2	PH69	 =1.
if 	PHLTH70	 = 	1	PH70	 =1.
if 	PHLTH71	 = 	1	PH71	 =1.
if 	PHLTH72	 = 	2	PH72	 =1.
if 	PHLTH73	 = 	1	PH73	 =1.
if 	PHLTH74	 = 	2	PH74	 =1.
if 	PHLTH75	 = 	1	PH75	 =1.
if 	PHLTH76	 = 	2	PH76	 =1.
if 	PHLTH77	 = 	2	PH77	 =1.
if 	PHLTH78	 = 	1	PH78	 =1.
if 	PHLTH79	 = 	1	PH79	 =1.
if 	PHLTH80	 = 	2	PH80	 =1.
if 	PHLTH83	 = 	2	PH83	 =1.
if 	PHLTH84	 = 	1	PH84	 =1.

compute zphco=PH01 + PH02 + PH03 + PH04 + PH05 + PH06 + PH07 + PH08 + PH09 + PH10 + PH11 + PH12 + PH15 + PH16 + PH17 + PH18 + PH19 + PH20
 + PH21 + PH22 + PH23 + PH25 + PH26 + PH27 + PH28 + PH30 + PH31 + PH32 + PH33 + PH34 + PH35 + PH37 + PH38 + PH39 + PH40
 + PH41 + PH42 + PH43 + PH44 + PH45 + PH46 + PH47 + PH48 + PH49 + PH50 + PH51 + PH52 + PH53 + PH54 + PH55 + PH56 + PH57 + PH58 + PH59 + PH60
 + PH61 + PH62 + PH63 + PH65 + PH67 + PH68 + PH69 + PH70 + PH71 + PH72 + PH73 + PH74 + PH75 + PH76 + PH77 + PH78 + PH79 + PH80
 + PH83 + PH84 .  
EXECUTE.

compute TR01 =0.
compute TR02 =0.
compute TR03 =0.
compute TR04 =0.
compute TR05 =0.
compute TR06 =0.
compute TR07 =0.
compute TR08 =0.
compute TR09 =0.
compute TR10 =0.
compute TR11 =0.
compute TR12 =0.
compute TR13 =0.
compute TR14 =0.
compute TR15 =0.
compute TR16 =0.
compute TR17 =0.
compute TR19 =0.
compute TR20 =0.
compute TR21 =0.
compute TR22 =0.
compute TR23 =0.
compute TR24 =0.
compute TR25 =0.
compute TR26 =0.
compute TR27 =0.
compute TR28 =0.
compute TR29 =0.
compute TR30 =0.
compute TR31 =0.
compute TR32 =0.
compute TR33 =0.
compute TR34 =0.
compute TR35 =0.
compute TR36 =0.
compute TR37 =0.
compute TR38 =0.
compute TR39 =0.
compute TR40 =0.
compute TR41 =0.
compute TR42 =0.
compute TR44 =0.
compute TR45 =0.
compute TR46 =0.
compute TR47 =0.
compute TR48 =0.
compute TR49 =0.
compute TR50 =0.
compute TR51 =0.
compute TR52 =0.

if TREAD01 = 2 TR01 =1.
if TREAD02 = 3 TR02 =1.
if TREAD03 = 2 TR03 =1.
if TREAD04 = 2 TR04 =1.
if TREAD05 = 1 TR05 =1.
if TREAD06 = 2 TR06 =1.
if TREAD07 = 4 TR07 =1.
if TREAD08 = 3 TR08 =1.
if TREAD09 = 4 TR09 =1.
if TREAD10 = 1 TR10 =1.
if TREAD11 = 4 TR11 =1.
if TREAD12 = 3 TR12 =1.
if TREAD13 = 1 TR13 =1.
if TREAD14 = 1 TR14 =1.
if TREAD15 = 1 TR15 =1.
if TREAD16 = 1 TR16 =1.
if TREAD17 = 3 TR17 =1.
if TREAD19 = 2 TR19 =1.
if TREAD20 = 3 TR20 =1.
if TREAD21 = 2 TR21 =1.
if TREAD22 = 2 TR22 =1.
if TREAD23 = 2 TR23 =1.
if TREAD24 = 3 TR24 =1.
if TREAD25 = 1 TR25 =1.
if TREAD26 = 4 TR26 =1.
if TREAD27 = 2 TR27 =1.
if TREAD28 = 2 TR28 =1.
if TREAD29 = 2 TR29 =1.
if TREAD30 = 1 TR30 =1.
if TREAD31 = 1 TR31 =1.
if TREAD32 = 3 TR32 =1.
if TREAD33 = 3 TR33 =1.
if TREAD34 = 1 TR34 =1.
if TREAD35 = 2 TR35 =1.
if TREAD36 = 3 TR36 =1.
if TREAD37 = 2 TR37 =1.
if TREAD38 = 4 TR38 =1.
if TREAD39 = 3 TR39 =1.
if TREAD40 = 3 TR40 =1.
if TREAD41 = 4 TR41 =1.
if TREAD42 = 2 TR42 =1.
if TREAD44 = 2 TR44 =1.
if TREAD45 = 3 TR45 =1.
if TREAD46 = 1 TR46 =1.
if TREAD47 = 1 TR47 =1.
if TREAD48 = 1 TR48 =1.
if TREAD49 = 3 TR49 =1.
if TREAD50 = 4 TR50 =1.
if TREAD51 = 2 TR51 =1.
if TREAD52 = 4 TR52 =1.

compute ztrco=TR01 + TR02 + TR03 + TR04 + TR05 + TR06 + TR07 + TR08 + TR09 + TR10 + TR11 + TR12 + TR13 + TR14 + TR15 + TR16 + TR17 + TR19 + TR20
 + TR21 + TR22 + TR23 + TR24 + TR25 + TR26 + TR27 + TR28 + TR29 + TR30 + TR31 + TR32 + TR33 + TR34 + TR35 + TR36 + TR37 + TR38 + TR39 + TR40
 + TR41 + TR42 + TR44 + TR45 + TR46 + TR47 + TR48 + TR49 + TR50 + TR51 + TR52.
EXECUTE.

compute TM01 =0.
compute TM02 =0.
compute TM03 =0.
compute TM04 =0.
compute TM05 =0.
compute TM07 =0.
compute TM08 =0.
compute TM09 =0.
compute TM10 =0.
compute TM11 =0.
compute TM12 =0.
compute TM13 =0.
compute TM14 =0.
compute TM15 =0.
compute TM16 =0.
compute TM17 =0.
compute TM18 =0.
compute TM19 =0.
compute TM20 =0.
compute TM21 =0.
compute TM22 =0.
compute TM23 =0.
compute TM24 =0.
compute TM25 =0.
compute TM26 =0.
compute TM27 =0.
compute TM28 =0.
compute TM29 =0.
compute TM30 =0.
compute TM31 =0.
compute TM32 =0.
compute TM33 =0.
compute TM34 =0.
compute TM35 =0.
compute TM36 =0.
compute TM37 =0.
compute TM38 =0.
compute TM39 =0.
compute TM40 =0.
compute TM41 =0.
compute TM42 =0.

if TMATH01 = 4 TM01 =1.
if TMATH02 = 4 TM02 =1.
if TMATH03 = 1 TM03 =1.
if TMATH04 = 2 TM04 =1.
if TMATH05 = 3 TM05 =1.
if TMATH07 = 3 TM07 =1.
if TMATH08 = 3 TM08 =1.
if TMATH09 = 3 TM09 =1.
if TMATH10 = 4 TM10 =1.
if TMATH11 = 4 TM11 =1.
if TMATH12 = 2 TM12 =1.
if TMATH13 = 3 TM13 =1.
if TMATH14 = 3 TM14 =1.
if TMATH15 = 2 TM15 =1.
if TMATH16 = 2 TM16 =1.
if TMATH17 = 2 TM17 =1.
if TMATH18 = 3 TM18 =1.
if TMATH19 = 4 TM19 =1.
if TMATH20 = 2 TM20 =1.
if TMATH21 = 2 TM21 =1.
if TMATH22 = 2 TM22 =1.
if TMATH23 = 2 TM23 =1.
if TMATH24 = 3 TM24 =1.
if TMATH25 = 2 TM25 =1.
if TMATH26 = 1 TM26 =1.
if TMATH27 = 2 TM27 =1.
if TMATH28 = 3 TM28 =1.
if TMATH29 = 1 TM29 =1.
if TMATH30 = 2 TM30 =1.
if TMATH31 = 2 TM31 =1.
if TMATH32 = 4 TM32 =1.
if TMATH33 = 3 TM33 =1.
if TMATH34 = 1 TM34 =1.
if TMATH35 = 3 TM35 =1.
if TMATH36 = 3 TM36 =1.
if TMATH37 = 3 TM37 =1.
if TMATH38 = 3 TM38 =1.
if TMATH39 = 3 TM39 =1.
if TMATH40 = 3 TM40 =1.
if TMATH41 = 3 TM41 =1.
if TMATH42 = 2 TM42 =1.

compute ztmco= TM01 + TM02 + TM03 + TM04 + TM05 + TM07 + TM08 + TM09 + TM10 + TM11 + TM12 + TM13 + TM14 + TM15 + TM16 + TM17 + TM18 + TM19 + TM20
 + TM21 + TM22 + TM23 + TM24 + TM25 + TM26 + TM27 + TM28 + TM29 + TM30 + TM31 + TM32 + TM33 + TM34 + TM35 + TM36 + TM37 + TM38 + TM39 + TM40
 + TM41 + TM42 .  
EXECUTE.

compute	XH01	=0.
compute	XH02	=0.
compute	XH03	=0.
compute	XH04	=0.
compute	XH05	=0.
compute	XH06	=0.
compute	XH07	=0.
compute	XH08	=0.
compute	XH09	=0.
compute	XH10	=0.
compute	XH11	=0.
compute	XH12	=0.
compute	XH15	=0.
compute	XH16	=0.
compute	XH17	=0.
compute	XH18	=0.
compute	XH19	=0.
compute	XH20	=0.
compute	XH21	=0.
compute	XH22	=0.
compute	XH23	=0.
compute	XH25	=0.
compute	XH26	=0.
compute	XH27	=0.
compute	XH28	=0.
compute	XH30	=0.
compute	XH31	=0.
compute	XH32	=0.
compute	XH33	=0.
compute	XH34	=0.
compute	XH35	=0.
compute	XH37	=0.
compute	XH38	=0.
compute	XH39	=0.
compute	XH40	=0.
compute	XH41	=0.
compute	XH42	=0.
compute	XH43	=0.
compute	XH44	=0.
compute	XH45	=0.
compute	XH46	=0.
compute	XH47	=0.
compute	XH48	=0.
compute	XH49	=0.
compute	XH50	=0.
compute	XH51	=0.
compute	XH52	=0.
compute	XH53	=0.
compute	XH54	=0.
compute	XH55	=0.
compute	XH56	=0.
compute	XH57	=0.
compute	XH58	=0.
compute	XH59	=0.
compute	XH60	=0.
compute	XH61	=0.
compute	XH62	=0.
compute	XH63	=0.
compute	XH65	=0.
compute	XH67	=0.
compute	XH68	=0.
compute	XH69	=0.
compute	XH70	=0.
compute	XH71	=0.
compute	XH72	=0.
compute	XH73	=0.
compute	XH74	=0.
compute	XH75	=0.
compute	XH76	=0.
compute	XH77	=0.
compute	XH78	=0.
compute	XH79	=0.
compute	XH80	=0.
compute	XH83	=0.
compute	XH84	=0.

if 	XHLTH01 	 = 	1	XH01	 =1.
if 	XHLTH02	 = 	2	XH02	 =1.
if 	XHLTH03	 = 	2	XH03	 =1.
if 	XHLTH04	 = 	1	XH04	 =1.
if 	XHLTH05	 = 	2	XH05	 =1.
if 	XHLTH06	 = 	2	XH06	 =1.
if 	XHLTH07	 = 	1	XH07	 =1.
if 	XHLTH08	 = 	1	XH08	 =1.
if 	XHLTH09	 = 	1	XH09	 =1.
if 	XHLTH10	 = 	2	XH10	 =1.
if 	XHLTH11	 = 	2	XH11	 =1.
if 	XHLTH12	 = 	2	XH12	 =1.
if 	XHLTH15	 = 	2	XH15	 =1.
if 	XHLTH16	 = 	1	XH16	 =1.
if 	XHLTH17	 = 	2	XH17	 =1.
if 	XHLTH18	 = 	1	XH18	 =1.
if 	XHLTH19	 = 	1	XH19	 =1.
if 	XHLTH20	 = 	1	XH20	 =1.
if 	XHLTH21	 = 	2	XH21	 =1.
if 	XHLTH22	 = 	1	XH22	 =1.
if 	XHLTH23	 = 	2	XH23	 =1.
if 	XHLTH25	 = 	2	XH25	 =1.
if 	XHLTH26	 = 	2	XH26	 =1.
if 	XHLTH27	 = 	1	XH27	 =1.
if 	XHLTH28	 = 	2	XH28	 =1.
if 	XHLTH30	 = 	2	XH30	 =1.
if 	XHLTH31	 = 	1	XH31	 =1.
if 	XHLTH32	 = 	1	XH32	 =1.
if 	XHLTH33	 = 	1	XH33	 =1.
if 	XHLTH34	 = 	2	XH34	 =1.
if 	XHLTH35	 = 	2	XH35	 =1.
if 	XHLTH37	 = 	1	XH37	 =1.
if 	XHLTH38	 = 	1	XH38	 =1.
if 	XHLTH39	 = 	2	XH39	 =1.
if 	XHLTH40	 = 	1	XH40	 =1.
if 	XHLTH41	 = 	2	XH41	 =1.
if 	XHLTH42	 = 	1	XH42	 =1.
if 	XHLTH43	 = 	1	XH43	 =1.
if 	XHLTH44	 = 	1	XH44	 =1.
if 	XHLTH45	 = 	2	XH45	 =1.
if 	XHLTH46	 = 	1	XH46	 =1.
if 	XHLTH47	 = 	2	XH47	 =1.
if 	XHLTH48	 = 	2	XH48	 =1.
if 	XHLTH49	 = 	1	XH49	 =1.
if 	XHLTH50	 = 	1	XH50	 =1.
if 	XHLTH51	 = 	2	XH51	 =1.
if 	XHLTH52	 = 	1	XH52	 =1.
if 	XHLTH53	 = 	2	XH53	 =1.
if 	XHLTH54	 = 	2	XH54	 =1.
if 	XHLTH55	 = 	1	XH55	 =1.
if 	XHLTH56	 = 	1	XH56	 =1.
if 	XHLTH57	 = 	1	XH57	 =1.
if 	XHLTH58	 = 	1	XH58	 =1.
if 	XHLTH59	 = 	1	XH59	 =1.
if 	XHLTH60	 = 	2	XH60	 =1.
if 	XHLTH61	 = 	1	XH61	 =1.
if 	XHLTH62	 = 	1	XH62	 =1.
if 	XHLTH63	 = 	2	XH63	 =1.
if 	XHLTH65	 = 	2	XH65	 =1.
if 	XHLTH67	 = 	2	XH67	 =1.
if 	XHLTH68	 = 	2	XH68	 =1.
if 	XHLTH69	 = 	2	XH69	 =1.
if 	XHLTH70	 = 	1	XH70	 =1.
if 	XHLTH71	 = 	1	XH71	 =1.
if 	XHLTH72	 = 	2	XH72	 =1.
if 	XHLTH73	 = 	1	XH73	 =1.
if 	XHLTH74	 = 	2	XH74	 =1.
if 	XHLTH75	 = 	1	XH75	 =1.
if 	XHLTH76	 = 	2	XH76	 =1.
if 	XHLTH77	 = 	2	XH77	 =1.
if 	XHLTH78	 = 	1	XH78	 =1.
if 	XHLTH79	 = 	1	XH79	 =1.
if 	XHLTH80	 = 	2	XH80	 =1.
if 	XHLTH83	 = 	2	XH83	 =1.
if 	XHLTH84	 = 	1	XH84	 =1.

compute ztrhco= XH01 + XH02 + XH03 + XH04 + XH05 + XH06 + XH07 + XH08 + XH09 + XH10 + XH11 + XH12 +     XH15 + XH16 + XH17 + XH18 + XH19 + XH20
 + XH21 + XH22 + XH23 +   XH25 + XH26 + XH27 + XH28 +   XH30 + XH31 + XH32 + XH33 + XH34 + XH35 +   XH37 + XH38 + XH39 + XH40
 + XH41 + XH42 + XH43 + XH44 + XH45 + XH46 + XH47 + XH48 + XH49 + XH50 + XH51 + XH52 + XH53 + XH54 + XH55 + XH56 + XH57 + XH58 + XH59 + XH60
 + XH61 + XH62 + XH63 +   XH65 +   XH67 + XH68 + XH69 + XH70 + XH71 + XH72 + XH73 + XH74 + XH75 + XH76 + XH77 + XH78 + XH79 + XH80 +     XH83 + XH84   .
EXECUTE.

compute	YH01	=0.
compute	YH02	=0.
compute	YH03	=0.
compute	YH04	=0.
compute	YH05	=0.
compute	YH06	=0.
compute	YH07	=0.
compute	YH08	=0.
compute	YH09	=0.
compute	YH10	=0.
compute	YH11	=0.
compute	YH12	=0.
compute	YH15	=0.
compute	YH16	=0.
compute	YH17	=0.
compute	YH18	=0.
compute	YH19	=0.
compute	YH20	=0.
compute	YH21	=0.
compute	YH22	=0.
compute	YH23	=0.
compute	YH25	=0.
compute	YH26	=0.
compute	YH27	=0.
compute	YH28	=0.
compute	YH30	=0.
compute	YH31	=0.
compute	YH32	=0.
compute	YH33	=0.
compute	YH34	=0.
compute	YH35	=0.
compute	YH37	=0.
compute	YH38	=0.
compute	YH39	=0.
compute	YH40	=0.
compute	YH41	=0.
compute	YH42	=0.
compute	YH43	=0.
compute	YH44	=0.
compute	YH45	=0.
compute	YH46	=0.
compute	YH47	=0.
compute	YH48	=0.
compute	YH49	=0.
compute	YH50	=0.
compute	YH51	=0.
compute	YH52	=0.
compute	YH53	=0.
compute	YH54	=0.
compute	YH55	=0.
compute	YH56	=0.
compute	YH57	=0.
compute	YH58	=0.
compute	YH59	=0.
compute	YH60	=0.
compute	YH61	=0.
compute	YH62	=0.
compute	YH63	=0.
compute	YH65	=0.
compute	YH67	=0.
compute	YH68	=0.
compute	YH69	=0.
compute	YH70	=0.
compute	YH71	=0.
compute	YH72	=0.
compute	YH73	=0.
compute	YH74	=0.
compute	YH75	=0.
compute	YH76	=0.
compute	YH77	=0.
compute	YH78	=0.
compute	YH79	=0.
compute	YH80	=0.
compute	YH83	=0.
compute	YH84	=0.

if 	YHLTH01 	 = 	1	YH01	 =1.
if 	YHLTH02	 = 	2	YH02	 =1.
if 	YHLTH03	 = 	2	YH03	 =1.
if 	YHLTH04	 = 	1	YH04	 =1.
if 	YHLTH05	 = 	2	YH05	 =1.
if 	YHLTH06	 = 	2	YH06	 =1.
if 	YHLTH07	 = 	1	YH07	 =1.
if 	YHLTH08	 = 	1	YH08	 =1.
if 	YHLTH09	 = 	1	YH09	 =1.
if 	YHLTH10	 = 	2	YH10	 =1.
if 	YHLTH11	 = 	2	YH11	 =1.
if 	YHLTH12	 = 	2	YH12	 =1.
if 	YHLTH15	 = 	2	YH15	 =1.
if 	YHLTH16	 = 	1	YH16	 =1.
if 	YHLTH17	 = 	2	YH17	 =1.
if 	YHLTH18	 = 	1	YH18	 =1.
if 	YHLTH19	 = 	1	YH19	 =1.
if 	YHLTH20	 = 	1	YH20	 =1.
if 	YHLTH21	 = 	2	YH21	 =1.
if 	YHLTH22	 = 	1	YH22	 =1.
if 	YHLTH23	 = 	2	YH23	 =1.
if 	YHLTH25	 = 	2	YH25	 =1.
if 	YHLTH26	 = 	2	YH26	 =1.
if 	YHLTH27	 = 	1	YH27	 =1.
if 	YHLTH28	 = 	2	YH28	 =1.
if 	YHLTH30	 = 	2	YH30	 =1.
if 	YHLTH31	 = 	1	YH31	 =1.
if 	YHLTH32	 = 	1	YH32	 =1.
if 	YHLTH33	 = 	1	YH33	 =1.
if 	YHLTH34	 = 	2	YH34	 =1.
if 	YHLTH35	 = 	2	YH35	 =1.
if 	YHLTH37	 = 	1	YH37	 =1.
if 	YHLTH38	 = 	1	YH38	 =1.
if 	YHLTH39	 = 	2	YH39	 =1.
if 	YHLTH40	 = 	1	YH40	 =1.
if 	YHLTH41	 = 	2	YH41	 =1.
if 	YHLTH42	 = 	1	YH42	 =1.
if 	YHLTH43	 = 	1	YH43	 =1.
if 	YHLTH44	 = 	1	YH44	 =1.
if 	YHLTH45	 = 	2	YH45	 =1.
if 	YHLTH46	 = 	1	YH46	 =1.
if 	YHLTH47	 = 	2	YH47	 =1.
if 	YHLTH48	 = 	2	YH48	 =1.
if 	YHLTH49	 = 	1	YH49	 =1.
if 	YHLTH50	 = 	1	YH50	 =1.
if 	YHLTH51	 = 	2	YH51	 =1.
if 	YHLTH52	 = 	1	YH52	 =1.
if 	YHLTH53	 = 	2	YH53	 =1.
if 	YHLTH54	 = 	2	YH54	 =1.
if 	YHLTH55	 = 	1	YH55	 =1.
if 	YHLTH56	 = 	1	YH56	 =1.
if 	YHLTH57	 = 	1	YH57	 =1.
if 	YHLTH58	 = 	1	YH58	 =1.
if 	YHLTH59	 = 	1	YH59	 =1.
if 	YHLTH60	 = 	2	YH60	 =1.
if 	YHLTH61	 = 	1	YH61	 =1.
if 	YHLTH62	 = 	1	YH62	 =1.
if 	YHLTH63	 = 	2	YH63	 =1.
if 	YHLTH65	 = 	2	YH65	 =1.
if 	YHLTH67	 = 	2	YH67	 =1.
if 	YHLTH68	 = 	2	YH68	 =1.
if 	YHLTH69	 = 	2	YH69	 =1.
if 	YHLTH70	 = 	1	YH70	 =1.
if 	YHLTH71	 = 	1	YH71	 =1.
if 	YHLTH72	 = 	2	YH72	 =1.
if 	YHLTH73	 = 	1	YH73	 =1.
if 	YHLTH74	 = 	2	YH74	 =1.
if 	YHLTH75	 = 	1	YH75	 =1.
if 	YHLTH76	 = 	2	YH76	 =1.
if 	YHLTH77	 = 	2	YH77	 =1.
if 	YHLTH78	 = 	1	YH78	 =1.
if 	YHLTH79	 = 	1	YH79	 =1.
if 	YHLTH80	 = 	2	YH80	 =1.
if 	YHLTH83	 = 	2	YH83	 =1.
if 	YHLTH84	 = 	1	YH84	 =1.

compute ztmhco= YH01 + YH02 + YH03 + YH04 + YH05 + YH06 + YH07 + YH08 + YH09 + YH10 + YH11 + YH12 +     YH15 + YH16 + YH17 + YH18 + YH19 + YH20
 + YH21 + YH22 + YH23 +   YH25 + YH26 + YH27 + YH28 +   YH30 + YH31 + YH32 + YH33 + YH34 + YH35 +   YH37 + YH38 + YH39 + YH40
 + YH41 + YH42 + YH43 + YH44 + YH45 + YH46 + YH47 + YH48 + YH49 + YH50 + YH51 + YH52 + YH53 + YH54 + YH55 + YH56 + YH57 + YH58 + YH59 + YH60
 + YH61 + YH62 + YH63 +   YH65 +   YH67 + YH68 + YH69 + YH70 + YH71 + YH72 + YH73 + YH74 + YH75 + YH76 + YH77 + YH78 + YH79 + YH80 +     YH83 + YH84   .
EXECUTE.

compute	WH01	=0.
compute	WH02	=0.
compute	WH03	=0.
compute	WH04	=0.
compute	WH05	=0.
compute	WH06	=0.
compute	WH07	=0.
compute	WH08	=0.
compute	WH09	=0.
compute	WH10	=0.
compute	WH11	=0.
compute	WH12	=0.
compute	WH15	=0.
compute	WH16	=0.
compute	WH17	=0.
compute	WH18	=0.
compute	WH19	=0.
compute	WH20	=0.
compute	WH21	=0.
compute	WH22	=0.
compute	WH23	=0.
compute	WH25	=0.
compute	WH26	=0.
compute	WH27	=0.
compute	WH28	=0.
compute	WH30	=0.
compute	WH31	=0.
compute	WH32	=0.
compute	WH33	=0.
compute	WH34	=0.
compute	WH35	=0.
compute	WH37	=0.
compute	WH38	=0.
compute	WH39	=0.
compute	WH40	=0.
compute	WH41	=0.
compute	WH42	=0.
compute	WH43	=0.
compute	WH44	=0.
compute	WH45	=0.
compute	WH46	=0.
compute	WH47	=0.
compute	WH48	=0.
compute	WH49	=0.
compute	WH50	=0.
compute	WH51	=0.
compute	WH52	=0.
compute	WH53	=0.
compute	WH54	=0.
compute	WH55	=0.
compute	WH56	=0.
compute	WH57	=0.
compute	WH58	=0.
compute	WH59	=0.
compute	WH60	=0.
compute	WH61	=0.
compute	WH62	=0.
compute	WH63	=0.
compute	WH65	=0.
compute	WH67	=0.
compute	WH68	=0.
compute	WH69	=0.
compute	WH70	=0.
compute	WH71	=0.
compute	WH72	=0.
compute	WH73	=0.
compute	WH74	=0.
compute	WH75	=0.
compute	WH76	=0.
compute	WH77	=0.
compute	WH78	=0.
compute	WH79	=0.
compute	WH80	=0.
compute	WH83	=0.
compute	WH84	=0.

if 	WHLTH01 	 = 	1	WH01	 =1.
if 	WHLTH02	 = 	2	WH02	 =1.
if 	WHLTH03	 = 	2	WH03	 =1.
if 	WHLTH04	 = 	1	WH04	 =1.
if 	WHLTH05	 = 	2	WH05	 =1.
if 	WHLTH06	 = 	2	WH06	 =1.
if 	WHLTH07	 = 	1	WH07	 =1.
if 	WHLTH08	 = 	1	WH08	 =1.
if 	WHLTH09	 = 	1	WH09	 =1.
if 	WHLTH10	 = 	2	WH10	 =1.
if 	WHLTH11	 = 	2	WH11	 =1.
if 	WHLTH12	 = 	2	WH12	 =1.
if 	WHLTH15	 = 	2	WH15	 =1.
if 	WHLTH16	 = 	1	WH16	 =1.
if 	WHLTH17	 = 	2	WH17	 =1.
if 	WHLTH18	 = 	1	WH18	 =1.
if 	WHLTH19	 = 	1	WH19	 =1.
if 	WHLTH20	 = 	1	WH20	 =1.
if 	WHLTH21	 = 	2	WH21	 =1.
if 	WHLTH22	 = 	1	WH22	 =1.
if 	WHLTH23	 = 	2	WH23	 =1.
if 	WHLTH25	 = 	2	WH25	 =1.
if 	WHLTH26	 = 	2	WH26	 =1.
if 	WHLTH27	 = 	1	WH27	 =1.
if 	WHLTH28	 = 	2	WH28	 =1.
if 	WHLTH30	 = 	2	WH30	 =1.
if 	WHLTH31	 = 	1	WH31	 =1.
if 	WHLTH32	 = 	1	WH32	 =1.
if 	WHLTH33	 = 	1	WH33	 =1.
if 	WHLTH34	 = 	2	WH34	 =1.
if 	WHLTH35	 = 	2	WH35	 =1.
if 	WHLTH37	 = 	1	WH37	 =1.
if 	WHLTH38	 = 	1	WH38	 =1.
if 	WHLTH39	 = 	2	WH39	 =1.
if 	WHLTH40	 = 	1	WH40	 =1.
if 	WHLTH41	 = 	2	WH41	 =1.
if 	WHLTH42	 = 	1	WH42	 =1.
if 	WHLTH43	 = 	1	WH43	 =1.
if 	WHLTH44	 = 	1	WH44	 =1.
if 	WHLTH45	 = 	2	WH45	 =1.
if 	WHLTH46	 = 	1	WH46	 =1.
if 	WHLTH47	 = 	2	WH47	 =1.
if 	WHLTH48	 = 	2	WH48	 =1.
if 	WHLTH49	 = 	1	WH49	 =1.
if 	WHLTH50	 = 	1	WH50	 =1.
if 	WHLTH51	 = 	2	WH51	 =1.
if 	WHLTH52	 = 	1	WH52	 =1.
if 	WHLTH53	 = 	2	WH53	 =1.
if 	WHLTH54	 = 	2	WH54	 =1.
if 	WHLTH55	 = 	1	WH55	 =1.
if 	WHLTH56	 = 	1	WH56	 =1.
if 	WHLTH57	 = 	1	WH57	 =1.
if 	WHLTH58	 = 	1	WH58	 =1.
if 	WHLTH59	 = 	1	WH59	 =1.
if 	WHLTH60	 = 	2	WH60	 =1.
if 	WHLTH61	 = 	1	WH61	 =1.
if 	WHLTH62	 = 	1	WH62	 =1.
if 	WHLTH63	 = 	2	WH63	 =1.
if 	WHLTH65	 = 	2	WH65	 =1.
if 	WHLTH67	 = 	2	WH67	 =1.
if 	WHLTH68	 = 	2	WH68	 =1.
if 	WHLTH69	 = 	2	WH69	 =1.
if 	WHLTH70	 = 	1	WH70	 =1.
if 	WHLTH71	 = 	1	WH71	 =1.
if 	WHLTH72	 = 	2	WH72	 =1.
if 	WHLTH73	 = 	1	WH73	 =1.
if 	WHLTH74	 = 	2	WH74	 =1.
if 	WHLTH75	 = 	1	WH75	 =1.
if 	WHLTH76	 = 	2	WH76	 =1.
if 	WHLTH77	 = 	2	WH77	 =1.
if 	WHLTH78	 = 	1	WH78	 =1.
if 	WHLTH79	 = 	1	WH79	 =1.
if 	WHLTH80	 = 	2	WH80	 =1.
if 	WHLTH83	 = 	2	WH83	 =1.
if 	WHLTH84	 = 	1	WH84	 =1.

compute zthhco=WH01 + WH02 + WH03 + WH04 + WH05 + WH06 + WH07 + WH08 + WH09 + WH10 + WH11 + WH12 +     WH15 + WH16 + WH17 + WH18 + WH19 + WH20
 + WH21 + WH22 + WH23 +   WH25 + WH26 + WH27 + WH28 +   WH30 + WH31 + WH32 + WH33 + WH34 + WH35 +   WH37 + WH38 + WH39 + WH40
 + WH41 + WH42 + WH43 + WH44 + WH45 + WH46 + WH47 + WH48 + WH49 + WH50 + WH51 + WH52 + WH53 + WH54 + WH55 + WH56 + WH57 + WH58 + WH59 + WH60
 + WH61 + WH62 + WH63 +   WH65 +   WH67 + WH68 + WH69 + WH70 + WH71 + WH72 + WH73 + WH74 + WH75 + WH76 + WH77 + WH78 + WH79 + WH80 +     WH83 + WH84 .  
EXECUTE.

select if IDPPT_PA=2 and IDPPT_PD=2.

SAVE OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\scored_SOU.sav'
 /COMPRESSED.

***** Checking the scores*****.
GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\scored_SOU.sav'.

WEIGHT
  BY pweight2 .

MEANS
  TABLES=zralocp  zprco RcorP BY PSEX 
  /CELLS MEAN COUNT STDDEV  .

MEANS
  TABLES=zmalocp  zpmco McorP BY PSEX 
  /CELLS MEAN COUNT STDDEV  .

MEANS
  TABLES=zraloct  ztrco RcorT BY XSEX 
  /CELLS MEAN COUNT STDDEV  .
MEANS
  TABLES=zmaloct  ztmco McorT BY YSEX 
  /CELLS MEAN COUNT STDDEV  .

CORRELATIONS
  /VARIABLES=zralocp  zprco
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

CORRELATIONS
  /VARIABLES=zmalocp  zpmco
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

CORRELATIONS
  /VARIABLES=zraloct  ztrco
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

CORRELATIONS
  /VARIABLES=zmaloct  ztmco
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

***** Writing data file for classical Item Analysis *****.
*** Reading ***.
GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\scored_SOU.sav'.

*** Selecting those who answered at least one item with a valid response ***.
count Rmiss=PREAD01 to PREAD55 (missing).
select if Rmiss~=55.

*** multiple tick will and occasional missing will be coded as wrong ***.
recode PREAD07 to PREAD11 (1=1) (2=2) (3=3) (else=0).
recode PREAD01 to PREAD06 PREAD12 to PREAD55 (1=1) (2=2) (3=3) (4=4) (else=0).
execute.

SAVE OUTFILE='T:\Mioko\SACMEQ3\Main Data Quality\SOU\IARP_SOU.sav'
 /KEEP idpupil PREAD01 to PREAD55 
 /COMPRESSED.

GET
  FILE='T:\Mioko\SACMEQ3\Main Data Quality\SOU\IARP_SOU.sav'.

WRITE OUTFILE='T:\Mioko\SACMEQ3\Main Data Quality\SOU\IARP_SOU.dat'
  TABLE /ALL .
EXECUTE.

*** Maths ***.
GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\scored_SOU.sav'.

*** Selecting those who answered at least one item with a valid response ***.
count Mmiss=PMATH01 to PMATH49 (missing).
select if Mmiss~=49.

*** multiple tick and occasional missing will be coded as wrong ***.
recode PMATH01 to PMATH49 (1=1) (2=2) (3=3) (4=4) (else=0).
execute.

SAVE OUTFILE='T:\Mioko\SACMEQ3\Main Data Quality\SOU\IAMP_SOU.sav'
 /KEEP idpupil PMATH01 to PMATH49 
 /COMPRESSED.

GET
  FILE='T:\Mioko\SACMEQ3\Main Data Quality\SOU\IAMP_SOU.sav'.

WRITE OUTFILE='T:\Mioko\SACMEQ3\Main Data Quality\SOU\IAMP_SOU.dat'
  TABLE /ALL .
EXECUTE.

*** Health ***.
GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SOU\scored_SOU.sav'.

*** Selecting those who answered at least one item with a valid response ***.
count Hmiss=PHLTH01 to PHLTH86 (missing).
select if Hmiss~=86.

*** multiple tick and occasional missing will be coded as wrong ***.
recode PHLTH01 to PHLTH86 (1=1) (2=2) (else=0).
execute.

SAVE OUTFILE='T:\Mioko\SACMEQ3\Main Data Quality\SOU\IAHP_SOU.sav'
 /KEEP idpupil PHLTH01 to PHLTH86 
 /COMPRESSED.

GET
  FILE='T:\Mioko\SACMEQ3\Main Data Quality\SOU\IAHP_SOU.sav'.

WRITE OUTFILE='T:\Mioko\SACMEQ3\Main Data Quality\SOU\IAHP_SOU.dat'
  TABLE /ALL .
EXECUTE.


